/* eslint-disable no-unused-vars */
'use strict';

var temp_flag = '_temp.html';
var refresh_flag = '_refresh_';

var view_index_id = "HBuilder";
var view_guide_id = 'mjGuide.html';
var view_temp = 'template.html';
var view_temp_first_main = 'template-main-first.html';
var view_temp_first_sub = 'template-sub-first.html';
var view_temp_second_main = 'template-main-second.html';
var view_temp_second_sub = 'template-sub-second.html';
var view_temp_third_main = 'template-main-third.html';
var view_temp_third_sub = 'template-sub-third.html';
var view_temp_fourth_main = 'template-main-fourth.html';
var view_temp_fourth_sub = 'template-sub-fourth.html';
var view_temp_user = 'template-select-user.html';
var view_temp_user_scan = 'template-user-scan.html';
var view_temp_invoice_scan = 'template-invoice-scan.html';

var view_mine_entry_id = 'views/mine/entry.html';
var view_notify_entry_id = 'views/notify/entry.html';
var view_application_entry_id = 'views/application/entry.html';
var view_analyse_entry_id = 'views/analyse/entry.html';

var event_clean_login = 'onCleanLogin';
var event_logout = 'onLogout';
var event_force_logout = 'onForceLogout';

var event_refresh_login = 'refreshLogin';
var event_refresh_mine_name = 'refreshMineName';
var event_refresh_mine_entry = 'refreshMineEntry';
var event_refresh_notify_entry = 'refreshNotifyEntry';
var event_refresh_notify_num = 'refreshNotifyNum';
var event_refresh_analyze_entry = 'refreshAnalyzeEntry';
var event_refresh_application_entry = 'refreshApplicationEntry';

var event_render_top_right_bar = 'renderTopRightBar';

var event_refresh_previous_page = 'refreshPreviousPage';

var event_notify_push = 'pushNotifyMsg';

var event_show_select_page_for_user = 'showUserSelectPage';
var event_user_selected ='onUserSelected';
var event_user_cancel_selected = 'onUserCancelSelected';
var event_clean_book = 'onCleanBook';

var event_show_scan_page_for_user = 'showUserScanPage';

var event_show_scan_page_for_invoice = 'showInvoiceScanPage';
var event_invoice_scanned ='onInvoiceScanned';
var event_invoice_cancel_scanned = 'onInvoiceCancelScanned';

var event_trigger_origin_back = 'originBack';
var event_trigger_custom_back = 'customizeBack';

//消息类型
var TYPE_TASK_UPLOADED = 10100;
var TYPE_TASK_ASSIGNED = 10101;
var TYPE_TASK_APPROVED = 10102;
var TYPE_TASK_REJECTED = 10103;
var TYPE_TASK_NOTIFIED = 10104;
var TYPE_TASK_COMPLETED = 10105;
var TYPE_TASK_SCORE = 10106;
var TYPE_BILL_NEED_REVIEW = 10200;
var TYPE_BILL_REJECTED = 10201;
var TYPE_BILL_APPROVED = 10202;
var TYPE_BILL_COMPLETED = 10203;
var TYPE_BILL_MEND = 10204;

var SYSTEM_MODULE_HR = 'hr';
var SYSTEM_MODULE_BILL = 'bill';
var SYSTEM_MODULE_FIN = 'fin';
var SYSTEM_MODULE_SALE = 'sale';
var SYSTEM_MODULE_CAR = 'car';

var RESULT_KEY_STATUS = 'status';
var RESULT_KEY_MESSAGE = 'msg';
var RESULT_KEY_DATA = 'data';
var RESULT_KEY_DATA_PAGE = 'pages';
var RESULT_KEY_DATA_COUNT = 'count';

var DICT_TRAVEL_BILL_HEADER = 'travel-bill-table-header';
var DICT_SUPPLIER_PAY_BILL_HEADER = 'supplier-pay-bill-table-header';
var DICT_BANK_DEDUCTION_BILL_HEADER = 'bank-deduction-bill-table-header';
var DICT_DEPRECIATION_BILL_HEADER = 'depreciation-bill-table-header';
var DICT_SUPPLIER_ASSET_BILL_HEADER = 'supplier-asset-bill-table-header';
var DICT_ACCRUED_BILL_HEADER = 'accrued-bill-table-header';
var DICT_SUPER_BILL_HEADER = 'super-bill-table-header';
var DICT_MATERIAL_REQ_BILL_HEADER = 'material-req-bill-table-header';
var DICT_SALE_BILL_HEADER = 'sale-bill-table-header';
var DICT_COLLECTION_BILL_HEADER = 'collection-bill-table-header';
var DICT_SUPPLIER_PAY_GOODS_BILL_HEADER = 'supplier-pay-goods-bill-table-header';
var DICT_TRANSFER_BILL_HEADER = 'transfer-bill-table-header';

var MJ_URL = {
  AB_LIST_ALL:'/api/m/accountbooks/all',
  
  BA_LIST_BY_USER:'/api/m/bankaccounts/users/{0}',
  BA_LIST_BY_SUPPLIER:'/api/m/bankaccounts/suppliers/{0}',
  BA_LIST_BY_CONSUMER:'/api/m/bankaccounts/consumers/{0}',
  
  BA_MGR_BY_CONSUMER: '/api/m/consumers/{0}/bankaccounts',
  BA_MGR_BY_CONSUMER_A_DEL:'/api/m/consumers/{0}/bankaccounts/{1}/delete',
  BA_MGR_BY_CONSUMER_A_UPDATE:'/api/m/consumers/{0}/bankaccounts/{1}/update',
  
  BILL_API:'/api/m/bills/{0}',
  
  BILL_A_APPROVE:'/api/m/bills/{0}/{1}/approve',
  BILL_A_UPDATE:'/api/m/bills/{0}/{1}/update',
  BILL_A_CHECK_REVIEW:'/api/m/bills/{0}/check-review',
  BILL_A_BILL_CASH_FLOW: '/api/m/bills/{0}/{1}/bill-cashflow',
  BILL_A_FEE_CASH_FLOW: '/api/m/bills/{0}/{1}/fee-cashflow/{2}',
  BILL_A_PAY_CASH_FLOW: '/api/m/bills/{0}/{1}/pay-cashflow/{2}',
  BILL_A_DEL:'/api/m/bills/{0}/{1}/delete',
  BILL_A_RECALL:'/api/m/bills/{0}/{1}/recall',
  BILL_A_RECV: '/api/m/bills/{0}/{1}/recv',
  BILL_A_REJECT:'/api/m/bills/{0}/{1}/reject',
  BILL_A_TO_CURRENCY: '/api/m/bills/{0}/{1}/to-currency',
  BILL_A_UP:'/api/m/bills/{0}/{1}/upload',
  
  BILL_ATTACH_LIST:'/api/m/bills/attach/list?bill=',

  BILL_A_FIN_CHECK_PERM:'/api/m/bills/{0}/check-fin-permission',

  BILL_F_ACTIONS:'/api/m/bills/{0}/actions',
  BILL_F_EDIT_LOANS:'/api/m/bills/{0}/loans-for-edit',
  BILL_F_EDIT_PREPAYS:'/api/m/bills/{0}/prepays-for-edit',
  BILL_F_FEES:'/api/m/bills/{0}/fees',
  BILL_F_LOANS:'/api/m/bills/{0}/loans',
  BILL_F_PAYING_LOANS:'/api/m/bills/loans/paying',
  BILL_F_PAYING_PREPAYS:'/api/m/bills/prepays/paying',
  BILL_F_PROCESS:'/api/m/bills/{0}/process',
  BILL_F_REPLY:'/api/m/bills/{0}/replies',
  
  BILL_LIST_DRAFT:'/api/m/bills/draft',
  BILL_LIST_MINE:'/api/m/bills/mine',
  BILL_LIST_MINE_STATUS:'/api/m/bills/mine?status=',
  
  BILL_LIST_REVIEW:'/api/m/bills/need-mine-review',
  BILL_LIST_SUB:'/api/m/bills/sub',
  BILL_LIST_SUB_STATUS:'/api/m/bills/sub?status=',
  
  BIZ_LIST_BY_DEPT:'/api/m/departments/{0}/bizes',
  BIZ_LIST_BY_USER:'/api/m/users/{0}/bizes',
  
  BUDGET_B_GET_BUDGET:'/api/m/budgets/active/get-budget',
  
  CASH_FLOW_API:'/api/m/cashflows',
  
  CAR_API:'/api/m/cars',
  
  CHART_DEPT_TOP_BUSY:'/api/m/charts/departments/topbusy',
  CHART_DEPT_PROJ:'/api/m/charts/departments/project',
  CHART_DEPT_OUTER_PROJ:'/api/m/charts/departments/outer-project',
  CHART_DEPT_INNER_PROJ:'/api/m/charts/departments/inner-project',
  CHART_DEPT_WC:'/api/m/charts/departments/wc',
  
  CHART_PROJ_DEPT:'/api/m/charts/projects/department',
  CHART_PROJ_TOP_BUSY:'/api/m/charts/projects/topbusy',
  CHART_PROJ_WC:'/api/m/charts/projects/wc',
  
  CHART_SUPER_DEPT:'/api/m/charts/super/department',
  CHART_SUPER_PROJ:'/api/m/charts/super/project',
  CHART_SUPER_OUTER_PROJ:'/api/m/charts/super/outer-project',
  CHART_SUPER_INNER_PROJ:'/api/m/charts/super/inner-project',
  CHART_SUPER_DEPT_WC:'/api/m/charts/super/d-wc',
  CHART_SUPER_PROJ_WC:'/api/m/charts/super/p-wc',
  CHART_SUPER_OUTER_PROJ_WC:'/api/m/charts/super/outer-p-wc',
  CHART_SUPER_INNER_PROJ_WC:'/api/m/charts/super/inner-p-wc',
  
  CHART_USER_WC:'/api/m/charts/users/{0}/wc',
  CHART_USER_PROJECT:'/api/m/charts/users/{0}/project',
  CHART_USER_OUTER_PROJECT:'/api/m/charts/users/{0}/outer-project',
  CHART_USER_INNER_PROJECT:'/api/m/charts/users/{0}/inner-project',
  
  CITY_API: '/api/m/cities',
  
  CC_A_DUP_CHECK:'/api/m/consumers/duplicate-check',
  
  CC_API:'/api/m/consumers/{0}',
  CC_A_APPROVE: '/api/m/consumers/{0}/approve',
  CC_A_REJECT: '/api/m/consumers/{0}/reject',
  CC_A_UP: '/api/m/consumers/{0}/upload',
  CC_A_UPDATE: '/api/m/consumers/{0}/update',
  CC_A_DEL: '/api/m/consumers/{0}/delete',
  CC_A_CHECK_UPDATE:'/api/m/consumers/{0}/check-update',
  CC_A_CHECK_UPDATE_PERM:'/api/m/consumers/check-update-permission',
  CC_A_CHECK_REVIEW:'/api/m/consumers/check-review',
  CC_A_UPDATE_NAME: '/api/m/consumers/{0}/update-name',
  CC_A_BATCH_UPDATE_OWNER: '/api/m/consumers/batch-update-owner',
  
  CC_F_ACTIONS:'/api/m/consumers/{0}/actions',
  
  CC_LIST_ALL: '/api/m/consumers/all',
  CC_LIST_BY_PERMISSION:'/api/m/consumers/list',
  CC_LIST_MINE: '/api/m/consumers/mine',
  CC_LIST_MGR:'/api/m/consumers/mgr',
  
  CC_CATEGORY_API: '/api/m/consumer-categories',
  CC_CHARACTER_API: '/api/m/consumer-characters',
  CC_CT_API: '/api/m/consumer-contact-types',
  CC_DEPT_API: '/api/m/consumer-departments',
  CC_INFO_API: '/api/m/consumer-info-sources',
  CC_PROFESSION_API: '/api/m/consumer-professions',
  CC_PROTECT_API: '/api/m/consumer-protection-status',
  CC_SS_API: '/api/m/consumer-sales-status',
  CC_TYPE_API: '/api/m/consumer-types',
  
  CC_CONTACT_API:'/api/m/consumers/{0}/contacts',
  CC_CONTACT_A_DEL:'/api/m/consumers/{0}/contacts/{1}/delete',
  CC_CONTACT_A_UPDATE:'/api/m/consumers/{0}/contacts/{1}/update',
  
  CURRENCY_API:'/api/m/currencies',
  
  DASH_MINE_NUMBER:'/api/m/dashboard/mine-number?spam=',
  
  DEPT_API: '/api/m/departments',
  DEPT_LIST_BY_ME: '/api/m/users/departments',
  DEPT_LIST_BY_MGR: '/api/m/mgrs/departments',
  DEPT_LIST_BY_PERMISSION:'/api/m/departments/list',
  
  DICT_BY_FEE_CREATE:'/api/m/dicts/create-fee-clms/{0}',
  DICT_BY_KEY:'/api/m/dicts/{0}',
  DICT_DL_FIELDS: '/api/m/dicts/dailylog-fields',
  DICT_DL_DMS: '/api/m/dicts/dailylog-dms',
  DICT_CC_FIELDS: '/api/m/dicts/consumer-fields',
  DICT_CC_DMS: '/api/m/dicts/consumer-dms',
  
  DL_API:'/api/m/dailylogs/{0}',
  
  DL_A_UPDATE: '/api/m/dailylogs/{0}/update',
  DL_A_REVERT: '/api/m/dailylogs/revert/{0}',
  DL_A_REVIEW: '/api/m/dailylogs/review/{0}',
  DL_ATTACH_LIST:'/api/m/dailylogs/attach/list?dailylog=',
  DL_LIST_NONE:'/api/m/dailylogs/subs/none',
  DL_LIST_SUB:'/api/m/dailylogs/subs',
  
  EA_API:'/api/m/expenseaccounts',
  EA_BILL_TAX:'/api/m/eas/tax',
  EA_BILL_OUT_TAX:'/api/m/eas/output-tax',
  EA_BILL_ASSET:'/api/m/eas/supplier-assets',
  EA_BILL_COLLECTION_DR:'/api/m/eas/collection-drs',
  EA_BILL_COLLECTION_CR:'/api/m/eas/collection-crs',
  EA_BILL_LOAN_DR:'/api/m/eas/supplier-prepay-drs',
  EA_BILL_MATERIAL_CR:'/api/m/eas/material-req-crs',
  EA_BILL_PAYGOODS_DR:'/api/m/eas/supplier-pay-goods-drs',
  EA_BILL_SALE_CR:'/api/m/eas/sale-crs',
  EA_BILL_SALE_DR:'/api/m/eas/sale-drs',
  EA_LIST_BY_DEPT:'/api/m/eas/departments/{0}',
  EA_LIST_BY_PROJ:'/api/m/eas/projects/{0}',
  
  ECHART_USER_EA:'/api/m/charts/bill/users/{0}/ea',
  ECHART_USER_PROJ:'/api/m/charts/bill/users/{0}/project',
  ECHART_USER_BIZ:'/api/m/charts/bill/users/{0}/biz-detail',
  
  ECHART_SUPER_DEPT:'/api/m/charts/bill/supers/department',
  ECHART_SUPER_PROJ:'/api/m/charts/bill/supers/project',
  ECHART_SUPER_OUTER_PROJ:'/api/m/charts/bill/supers/outer-project',
  ECHART_SUPER_INNER_PROJ:'/api/m/charts/bill/supers/inner-project',
  ECHART_SUPER_BIZ:'/api/m/charts/bill/supers/biz',
  ECHART_SUPER_EA:'/api/m/charts/bill/supers/ets-detail',
  
  ECHART_PROJ_EA:'/api/m/charts/bill/projects/ea',
  ECHART_PROJ_DEPT:'/api/m/charts/bill/projects/department-ea-detail',
  ECHART_PROJ_USER:'/api/m/charts/bill/projects/user',
  ECHART_PROJ_BIZ:'/api/m/charts/bill/projects/biz-ea-detail',
  
  ECHART_PROFIT:'/api/m/charts/bill/profit',
  ECHART_PROFIT_TREND:'/api/m/charts/bill/profit-trend',
  
  ECHART_DEPT_EA:'/api/m/charts/bill/departments/ea',
  ECHART_DEPT_USER:'/api/m/charts/bill/departments/user',
  ECHART_DEPT_PROJ:'/api/m/charts/bill/departments/project-ea-detail',
  ECHART_DEPT_OUTER_PROJ:'/api/m/charts/bill/departments/outer-project-ea-detail',
  ECHART_DEPT_INNER_PROJ:'/api/m/charts/bill/departments/inner-project-ea-detail',
  ECHART_DEPT_BIZ:'/api/m/charts/bill/departments/biz-ea-detail',
  
  INVOICE_API:'/api/m/invoices',
  INVOICE_A_CREATE:'/api/m/invoices/create',
  INVOICE_A_DELETE:'/api/m/invoices/{0}/delete',
  INVOICE_A_UNLINK:'/api/m/invoices/{0}/unlink',
  
  MSG_TYPE:'/api/m/msgs/types/{0}',
  MSG_GROUP:'/api/m/msgs/groups?start={0}&spam={1}',
  MSG_ITEM_READ:'/api/m/msgs/{0}/read',
  MSG_ALL_READ:'/api/m/msgs/all-read',
  
  KPI_LIST_ALL: '/api/m/kpis/score/all',
  KPI_ITEM: '/api/m/kpis/users/{0}',
  KPI_ITEM_BY_MONTH: '/api/m/kpis/{0}/score/{1}/{2}',

  KPI_ATTACH_DEL: '/api/m/kpis/scores/attach/delete',
  KPI_ATTACH_DL: '/api/m/kpis/scores/attach/download?id=',
  KPI_ATTACH_LIST: '/api/m/kpis/scores/attach/list/{0}/{1}/{2}',
  KPI_ATTACH_UP: '/api/m/kpis/scores/attach/upload',
  
  PERF_LIST_MINE:'/api/m/perfs/mine',
  PERF_LIST_SUB:'/api/m/perfs/sub',
  PERF_ITEM:'/api/m/perfs/{0}/score',

  PERMISSION_CHECK:'/api/m/permissions/check',
  
  PRODUCT_API:'/api/m/products',

  PROJ_LIST_ALL: '/api/m/projects/all?pt={0}',
  PROJ_LIST_JOINED: '/api/m/projects/joined',
  PROJ_LIST_PERMISSION: '/api/m/projects/list',

  RELOAD_CONF_API:'/api/m/reload/global-config',
  
  SPL_API: '/api/m/suppliers',
  
  TASK_API:'/api/m/tasks/',
  TASK_A_UP:'/api/m/tasks/{0}/upload',
  TASK_A_UPDATE:'/api/m/tasks/{0}/update',
  TASK_A_CANCEL:'/api/m/tasks/{0}/cancel',
  TASK_A_DELETE:'/api/m/tasks/{0}/delete',
  TASK_A_APPROVE:'/api/m/tasks/{0}/approve',
  TASK_A_REJECT:'/api/m/tasks/{0}/reject',
  TASK_A_COMPLETE:'/api/m/tasks/{0}/complete',
  TASK_A_SCORES:'/api/m/tasks/{0}/scores',
  
  TASK_ATTACH_LIST:'/api/m/tasks/attach/list?task=',
  
  TASK_F_ACTIONS: '/api/m/tasks/{0}/actions',
  TASK_F_PROGRESS:'/api/m/tasks/{0}/progresses',
  TASK_F_REPLY:'/api/m/tasks/{0}/replies',
  
  TASK_LIST_BY_ME: '/api/m/users/tasks',
  
  TASK_PLAN_NUMBER:'/api/m/tasks/plan-number?spam=',
  TASK_TASK_NUMBER:'/api/m/tasks/task-number?spam=',
  
  TASK_SCORER_DEPT_MAPPING:'/api/m/tasks/scorer-mapping/dept/{0}?taskFrom={1}',
  TASK_SCORER_PROJ_MAPPING:'/api/m/tasks/scorer-mapping/proj/{0}/{1}?taskFrom={2}',
  
  USER_A_CHANGE_IDT:'/api/m/users/change-identification?id={0}',
  USER_A_SCAN_LOGIN:'/api/m/users/scan-qr',
  USER_A_CANCEL_SCAN_LOGIN:'/api/m/users/reject-qr',
  USER_A_SCAN_SUCCEED:'/api/m/users/approve-qr',
  USER_A_UPDATE_PWD:'/api/m/user/updatepwd',
  
  USER_ATTENDANCE_IN_API:'/api/m/attendances/in',
  USER_ATTENDANCE_OUT_API:'/api/m/attendances/out',
  USER_ATTENDANCE_OUT_DETAIL:'/api/m/attendances/out/{0}',
  USER_ATTENDANCE_OUT_DRAFT_LIST:'/api/m/attendances/out/draft',
  USER_ATTENDANCE_OUT_MINE_LIST:'/api/m/attendances/out/mine',
  
  USER_ATTENDANCE_LIST_MINE:'/api/m/attendances/mine',
  USER_ATTENDANCE_LIST_SUB:'/api/m/attendances/sub/{0}',
  
  USER_ATTENDANCE_OUT_A_DELETE:'/api/m/attendances/out/{0}/delete',
  USER_ATTENDANCE_OUT_A_UPDATE:'/api/m/attendances/out/{0}/update',
  
  USER_ATTENDANCE_ATTACH_DEL: '/api/m/attendances/attach/delete',
  USER_ATTENDANCE_ATTACH_DL: '/api/m/attendances/attach/download?id=',
  USER_ATTENDANCE_ATTACH_LIST: '/api/m/attendances/attach/list?attendance=',
  USER_ATTENDANCE_ATTACH_UP: '/api/m/attendances/attach/upload',
  
  USER_LIST_BY_ALL: '/api/m/users/all',
  USER_LIST_BY_MENTOR: '/api/m/mentors/users',
  USER_LIST_BY_DEPT: '/api/m/departments/{0}/users',
  USER_LIST_BY_PERMISSION: '/api/m/users/list',
  USER_LIST_BY_PROJ: '/api/m/projects/{0}/users',
  
  WC_LIST_BY_USER: '/api/m/users/{0}/workcontents',
};

var SYSTEM_SUCCEED = 0;
var SYSTEM_FAILED = 1;
var SYSTEM_ERROR = 2;
var SYSTEM_NOT_IMPL = 3;

var CREATE_BY_SYSTEM = 1;
var CREATE_BY_USER = 2;

var SYSTEM_FALSE = 0;
var SYSTEM_TRUE = 1;

var SELECT_PLEASE = -2;

var HAVE_STATUS_NEEDLESS = 1;
var HAVE_STATUS_YES = 2;
var HAVE_STATUS_NO = 3;

var HaveInvoiceStatusPool = {
  1: ' / ',
  2: '有发票',
  3: '无发票'
};

var INVOICE_STATUS_DELETE = 0;
var INVOICE_STATUS_NORMAL = 1;
var INVOICE_STATUS_QUOTE = 2;
var InvoiceStatusEnum = {
  0:'删除',
  1:'正常',
  2:'引用'
};

var INVOICE_OP_TYPE_IMPORT = 1;
var INVOICE_OP_TYPE_MANUALLY = 2;
var INVOICE_OP_TYPE_IMPORT_APP = 3;
var InvoiceOpTypeEnum = {
  1: 'PC导入',
  2: '手动录入',
  3: 'app录入'
};

var INVOICE_TYPE_VAT_OTHER = '0';
var INVOICE_TYPE_VAT_SPECIAL = '01';
var INVOICE_TYPE_VAT_CARGO = '02';
var INVOICE_TYPE_VEHICLE = '03';
var INVOICE_TYPE_VAT_PAPER = '04';
var INVOICE_TYPE_VAT_ELECTRONIC = '10';
var INVOICE_TYPE_VAT_ROLL = '11';
var INVOICE_TYPE_VAT_TOLL = '14';
var InvoiceTypeEnum = {
  '0':'其他',
  '01':'增值税专用发票',
  '02':'货物运输业增值税专用发票',
  '03':'机动车销售统一发票',
  '04':'增值税普通发票',
  '10':'增值税电子普通发票',
  '11':'增值税普通发票(卷票)',
  '14':'增值税普通发票(通行费)'
};

var ROLE_TYPE_BASIC = 1;
var ROLE_TYPE_DEPARTMENT = 2;
var ROLE_TYPE_PROJECT = 3;

var USER_IDENTIFICATION_USER = 0;
var USER_IDENTIFICATION_GENERAL_MANAGER = 1;
var USER_IDENTIFICATION_DEPARTMENT_MANAGER = 2;
var USER_IDENTIFICATION_PROJECT_MANAGER = 3;
var USER_IDENTIFICATION_FINANCIAL_MANAGER = 4;
var UserIdentificationPool = {
  0: '普通员工',
  1: '总经理',
  2: '部门经理',
  3: '项目经理',
  4: '财务经理'
};

var PROJECT_STATUS_DELETED = 0;
var PROJECT_STATUS_PROCESSING = 1;
var PROJECT_STATUS_COMPLETED = 2;
var PROJECT_STATUS_CREATED= 3;
var PROJECT_STATUS_REVIEWING = 4;
var PROJECT_STATUS_REJECTED = 5;
var ProjectStatusPool = {
  0: '已删除',
  1: '进行中',
  2: '已完成',
  3: '未上报',
  4: '待审核',
  5: '已拒绝'
};

var TASK_FROM_PLAN = 1;
var TASK_FROM_TASK = 2;

var TASK_STATUS_CANCELLED = 0;
var TASK_STATUS_CREATED= 1;
var TASK_STATUS_PLAN = 2;
var TASK_STATUS_REJECTED = 3;
var TASK_STATUS_TASK = 4;
var TASK_STATUS_TERMINATED = 5;
var TASK_STATUS_COMPLETED = 6;
var TASK_STATUS_SCORED = 7;

var TaskStatusPool = {
    0: '已删除',
    1: '未上报',
    2: '上报中',
    3: '已拒绝',
    4: '进行中',
    5: '已终止',
    6: '未打分',
    7: '已打分'
};

var TASK_TYPE_DEPARTMENT = 1;
var TASK_TYPE_PROJECT = 2;

var TASK_SCORER_NO_SCORE = 1;
var TASK_SCORER_SCORED = 2;
var TaskScorerStatusPool ={
  1:'未打分',
  2:'已打分'
};

var TASK_WITHOUT_READ = 0;
var TASK_HAVE_READ = 1;
var taskReadStatusPool={
  0:'未审阅',
  1:'已审阅'
};

var KPI_DEPARTMENT_TASK = 1;
var KPI_PROJECT_TASK = 2;

var PERF_SCORE_STATUS_NONE = 0;
var PERF_SCORE_STATUS_KPI = 1;
var PERF_SCORE_STATUS_PERF = 2;

var FROM_PC = 1;
var FROM_APP = 2;
var FromEnum={
  1:'PC端录入',
  2:'APP录入'
};

var DL_STATUS = { 0: '已取消', 1: '未审阅', 3: '已审阅'};
var DL_STATUS_CANCELLED=0;
var DL_STATUS_CREATED=1;
var DL_STATUS_REVIEWED=3;

var WARN_TYPE_PROFIT_RATE = 1;
var WARN_TYPE_INCOME_DIFF_RATE = 2;
var WARN_TYPE_FEE_COST_DIFF_RATE = 3;
var WARN_TYPE_PROFIT_DIFF_RATE = 4;
var WARN_TYPE_INCOME_LAST_DIFF_RATE = 5;
var WARN_TYPE_FEE_COST_LAST_DIFF_RATE = 6;
var WARN_TYPE_PROFIT_LAST_DIFF_RATE = 7;
var WARN_TYPE_CASH_COST = 8;
var warnTypeEnum = {
  1:'利润率',
  2:'收入类预算差异类',
  3:'成本费用类预算差异率',
  4:'利润预算差异率',
  5:'收入类同比增减率',
  6:'成本费用类同比增减率',
  7:'利润同比增减率',
  8:'资金成本'
};

var WARN_LEVEL_ORANGE = 1;
var WARN_LEVEL_RED = 2;
var warnLevelEnum = {
  1:'橙色',
  2:'红色'
};

var WARN_STATUS_FROZEN = 0;
var WARN_STATUS_ACTIVE = 1;
var warnStatusEnum = {
  0:'禁用',
  1:'启用'
};

var WF_TYPE_CAR_TEMP = 1;
var WF_TYPE_CAR_LONG = 2;

var WF_STATUS_MID_PROCESSING = 1;
var WF_STATUS_MID_PASS = 2;
var WF_STATUS_REFUSE = 3;
var WF_STATUS_COMPLETE_PROCESSING = 4;
var WF_STATUS_COMPLETE_PASS = 5;

var WF_RESULT_PROCESSING = 1;
var WF_RESULT_PASS = 2;
var WF_RESULT_REFUSE = 3;

var WfResultEnum = {
    1: '审核中',
    2: '通过',
    3: '拒绝'
};

var WfTypeEnum = {
    1: '临时用车',
    2: '长期用车'
};

var EXPENSE_BELONG_NEUTRAL = 0;
var EXPENSE_BELONG_DEPARTMENT = 1;
var EXPENSE_BELONG_PROJECT = 2;
var ExpenseBelongEnum = {
    1: '部门单据',
    2: '项目单据'
};

var PAY_TARGET_USER = 1;
var PAY_TARGET_SUPPLIER = 2;
var PAY_TARGET_CONSUMER = 3;
var PayTargetPool = {
  1: '员工',
  2: '供应商',
  3: '客户'
};

var PAY_TYPE_CASH = 1;
var PAY_TYPE_ONLINE = 2;
var PAY_TYPE_EXCHANGE = 3;
var PAY_TYPE_CREDIT = 4;
var PAY_TYPE_CHECK = 5;
var PAY_TYPE_LETTER_OF_CREDIT = 6;
var PayTypeEnum = {
    1: '现金支付',
    2: '电汇/银行转账',
    3: '承兑汇票',
    4: '挂账',
    5: '支票',
    6: '信用证'
};

var PAY_CURRENCY_LOCAL = 0;
//TODO:
var PAY_CURRENCY_RMB = 1;
var PAY_CURRENCY_DOLLAR = 2;
var PAY_CURRENCY_HK = 3;
var PayCurrencyEnum = {
    1: '人民币',
    2: '美元',
    3: '港元'
};

var CUSTOMER_TYPE_CONSUMER = 1;
var CUSTOMER_TYPE_SUPPLIER = 2;
var CustomerTypeEnum = {
    1: '客户',
    2: '供应商'
};

var SALE_TYPE_CASH = 1;
var SALE_TYPE_CREDIT = 2;
var SALE_TYPE_MONTHLY = 3;
var SALE_TYPE_INSTALLMENT = 4;
var SaleTypeEnum = {
    1: '现销',
    2: '赊销',
    3: '月结',
    4: '分期'
};

var BUDGET_STATUS_CREATED = 1;
var BUDGET_STATUS_REVIEWING = 2;
var BUDGET_STATUS_NORMAL = 3;
var BUDGET_STATUS_ACTIVED = 4;

var BUDGET_RULE_WITH_BILL = 1;
var BUDGET_RULE_WITH_FEE = 2;

var BILL_TYPE_BASIC = 1;
var BILL_TYPE_CAR = 101;
var BILL_TYPE_CAR2 = 102;
var BILL_TYPE_REPAYMENT = 202;
var BILL_TYPE_TRAVEL = 302;
var BILL_TYPE_SUPPLIER_PREPAY = 401;
var BILL_TYPE_SUPPLIER_PAY = 402;
var BILL_TYPE_BANK_DEDUCTION = 501;
var BILL_TYPE_DEPRECIATION = 601;
var BILL_TYPE_ACCRUED = 602;
var BILL_TYPE_SUPPLIER_ASSET = 801;
var BILL_TYPE_SUPPLIER_PAY_GOODS = 901;
var BILL_TYPE_SUPER = 222;
var BILL_TYPE_MATERIAL_REQ = 211;
var BILL_TYPE_SALE = 311;
var BILL_TYPE_COLLECTION = 411; 
var BILL_TYPE_BUDGET_COLLECT = 701;
var BILL_TYPE_BUDGET_PAY = 702;
var BILL_TYPE_TRANSFER = 703;
var BILL_TYPE_FOR_CHEQUE = 1001;


var CarBillTypesEnum = {
    101: '临时用车申请单',
    102: '长期用车申请单'
};

var BILL_STATUS_CANCELLED = 0;
var BILL_STATUS_CREATED = 1;
var BILL_STATUS_REVIEWING = 2;
var BILL_STATUS_REJECTED = 3;
var BILL_STATUS_APPROVED = 4;
var BILL_STATUS_CAR_USING = 11;
var BILL_STATUS_COMPLETED = 20;
var BILL_STATUS_CARRIEDOVER = 90;
var BILL_STATUS_PAID = 100;
var BILL_STATUS_COLLECT = 110;
var BILL_STATUS_ABOLISH = 120;
var BillStatusEnum = {
    0: '已删除',
    1: '未上报',
    2: '待审核',
    3: '已拒绝',
    4: '已审核',
    11: '用车中',
    20: '已完成',
    90: '已结转',
    100: '已付款',
    110: '已收款',
    120: '已作废'
};

function getBillStatus(billStatus,billType){
  billStatus = Number(billStatus);
  billType = Number(billType);
  if(BILL_STATUS_PAID==billStatus){
    switch (billType) {
      case BILL_TYPE_BANK_DEDUCTION:
      case BILL_TYPE_MATERIAL_REQ:
      case BILL_TYPE_SALE:
      case BILL_TYPE_DEPRECIATION:
      case BILL_TYPE_ACCRUED:
      case BILL_TYPE_SUPER:
      case BILL_TYPE_TRANSFER:
      case BILL_TYPE_BUDGET_COLLECT:
      case BILL_TYPE_BUDGET_PAY:
        return '已结束';
      default:
        return BillStatusEnum[billStatus];
    }
  }

  return BillStatusEnum[billStatus];
}

var CAR_BILL_FEE_TYPE_OIL = 1;
var CAR_BILL_FEE_TYPE_TOLL = 2;
var CAR_BILL_FEE_TYPE_REPAIR = 3;
var CAR_BILL_FEE_TYPE_RENT = 4;

var BILL_CREATE_TYPE_CREATE = 1;
var BILL_CREATE_TYPE_MEND =2;

var VOUCHER_STATUS_READY = 1;
var VOUCHER_STATUS_PROCESSING = 2;
var VOUCHER_STATUS_SUCCEED = 3;
var VOUCHER_STATUS_FAILED = 4;
var VOUCHER_STATUS_HOLD = 10;
var VoucherStatusEnum = {
    1: '待传递',
    2: '传递中',
    3: '成功',
    4: '失败',
    10: '暂停传递'
};

var EA_TYPE_ALL = 0;
var EA_TYPE_FEE_MANAGE = 1;
var EA_TYPE_FEE_RD = 2;
var EA_TYPE_FEE_FIN = 3;
var EA_TYPE_FEE_SALE = 4;
var EA_TYPE_COST_BIZ =11;
var EA_TYPE_ASSET_OTHER = 21;
var EA_TYPE_ASSET_CASH = 22;
var EA_TYPE_ASSET_INVOICE = 23;
var EA_TYPE_ASSET_RECV = 24;
var EA_TYPE_ASSET_PREPAY = 25;
var EA_TYPE_ASSET_STOCK = 26;
var EA_TYPE_ASSET_FIXED = 27;
var EA_TYPE_DEBT_OTHER = 31;
var EA_TYPE_DEBT_PAY = 32;
var EA_TYPE_DEBT_PRERECV = 33;
var EA_TYPE_COST_OTHER = 41;
var EA_TYPE_INCOME_OTHER = 42;
var EA_TYPE_INCOME_SALE = 51;
var EA_TYPE_ASSET_RD = 61;
var EA_TYPE_COST_MANUAL = 71;
var EaTypeEnum = {
  0: '全部',
  1: '损益类-费用-管理费用',
  2: '损益类-费用-研发费用',
  3: '损益类-费用-财务费用',
  4: '损益类-费用-销售费用',
  11: '损益类-成本-营业成本',
  21: '资产类-其他',
  22: '资产类-现金',
  23: '资产类-应收票据',
  24: '资产类-应收账款',
  25: '资产类-预付',
  26: '资产类-存货',
  27: '资产类-固定资产',
  31: '负债类-其他',
  32: '负债类-应付',
  33: '负债类-预收',
  41: '损益类-其他支出',
  42: '损益类-其他收入',
  51: '损益类-主营收入',
  61: '资产类-研发',
  71: '损益类-成本-制造费用'
};

var BIZ_TYPE_ALL = 0;
var BIZ_TYPE_FEE = 1;
var BIZ_TYPE_COST = 2;
var BIZ_TYPE_ASSET = 3;
var BIZ_TYPE_RD = 4;
var BizTypeEnum = {
  0:'全部',
  1:'费用类',
  2:'成本类',
  3:'资产类',
  4:'研发类'
};

var BILL_DC_NEUTRAL = 0;
var BILL_DC_DR = 1;
var BILL_DC_CR = 2;
var BillDcTypeEnum = {
  1:'借方',
  2:'贷方'
};

var CONSUMER_STATUS_CANCELLED = 0;
var CONSUMER_STATUS_CREATED= 1;
var CONSUMER_STATUS_REVIEWING = 2;
var CONSUMER_STATUS_REJECTED = 3;
var CONSUMER_STATUS_APPROVED = 4;
var CONSUMER_STATUS_DISABLE = 5;

var ConsumerStatusPool = {
    0: '已删除',
    1: '未上报',
    2: '待审核',
    3: '已拒绝',
    4: '已审核',
    5: '已禁用'
};

var PROJECT_TYPE_ALL = 0;
var PROJECT_TYPE_OUTER = 1;
var PROJECT_TYPE_INNER = 2;
var ProjectTypeEnum = {
  0:'全部项目',
  1:'外部项目',
  2:'内部项目'
};

var USER_STATUS_NORMAL = 1;
var USER_STATUS_DISABLE = 2;
var USER_STATUS_FROZEN = 3;
var UserStatusPool = {
  1:'正常',
  2:'停用',
  3:'禁止登录'
};

var CASH_FLOW_ITEM_OPERATE_IN = 1;
var CASH_FLOW_ITEM_OPERATE_OUT = 101;
var CASH_FLOW_ITEM_INVEST_IN = 2;
var CASH_FLOW_ITEM_INVEST_OUT = 102;
var CASH_FLOW_ITEM_FIN_IN = 3;
var CASH_FLOW_ITEM_FIN_OUT = 103;
var CASH_FLOW_ITEM_TRANSFER_IN = 4;
var CASH_FLOW_ITEM_TRANSFER_OUT = 104;
var CashFlowItemEnum = {
  1:'经营活动现金流入',
  101:'经营活动现金流出',
  2:'投资活动现金流入',
  102:'投资活动现金流出',
  3:'筹资活动现金流入',
  103:'筹资活动现金流出',
  4:'同一帐套内转流入',
  104:'同一帐套内转流出'
};

var SIGN_TYPE_IN = 1;
var SIGN_TYPE_BACK = 2;
var signTypeEnum={
	1:'签到',
	2:'签退'
}

var ATTENDANCE_OUT_STATUS_CREATED = 1;
var ATTENDANCE_OUT_STATUS_UPLOAD = 2;
var attendanceOutStatusEnum = {
	1:'暂存',
	2:'签到'
};

var ATTENDANCE_TYPE_IN = 1;
var ATTENDANCE_TYPE_OUT = 2;
var AttendanceTypePool = {
  1:'考勤',
  2:'外勤'
};
/**
report
**/
var REPORT_DIMENSION_ALL = 0;
var REPORT_DIMENSION_DEPARTMENT = 1;
var REPORT_DIMENSION_PROJECT = 2;
var REPORT_DIMENSION_USER = 3;
var REPORT_DIMENSION_WORKCONTENT = 4;
var REPORT_DIMENSION_BUSINESS = 5;
var REPORT_DIMENSION_EXPENSEACCOUNT = 6;
var REPORT_DIMENSION_SUPPLIER = 7;
var REPORT_DIMENSION_STORE = 8;
var REPORT_DIMENSION_TASK = 9;
var REPORT_DIMENSION_CAR = 10;
var REPORT_DIMENSION_CONSUMER = 11;
var REPORT_DIMENSION_OUTER_PROJECT = 12;
var REPORT_DIMENSION_INNER_PROJECT = 13;
var REPORT_DIMENSION_ACCOUNT = 14;
var REPORT_DIMENSION_TIME = 15;
var REPORT_DIMENSION_CONSUMER_CATEGORY = 16;
var REPORT_DIMENSION_CONSUMER_CHARACTER = 17;
var REPORT_DIMENSION_CONSUMER_TYPE = 18;
var REPORT_DIMENSION_INFO_SOURCE = 19;
var REPORT_DIMENSION_PROFESSION = 20;
var REPORT_DIMENSION_LEVEL = 21;
var ReportDimensionEnum = {
  0:'全部',
  1:'部门',
  2:'项目',
  3:'员工',
  4:'工作内容',
  5:'业务活动',
  6:'会计科目',
  7:'供应商',
  8:'门店',
  9:'任务',
  10:'车辆',
  11:'客户',
  12:'外部项目',
  13:'内部项目',
  14:'账套',
  16:'客户类别',
  17:'客户性质',
  18:'客户类型',
  19:'信息来源',
  20:'行业',
  21:'下级'
};

//TODO:Deprecated
var TREE_DM_NONE = 0;
var TREE_DM_ME = 1;
var TREE_DM_LEVEL = 2;
var TREE_DM_DEPARTMENT = 3;
var TREE_DM_PROJECT = 4;
var TREE_DM_OUTER_PROJECT = 5;
var TREE_DM_INNER_PROJECT = 6;

/**
mjCodes
**/
var LOST_NETWORK_CONNECTION = '网络不好，请稍后重试';

var mjCodes = {};

var IMP_DUP_FIELDS = 5000;
mjCodes[IMP_DUP_FIELDS] = '重复列';
var IMP_NULL_FIELDS = 5001;
mjCodes[IMP_NULL_FIELDS] = '列为空';
var IMP_LENGTH_NOT_MATCH = 5002;
mjCodes[IMP_LENGTH_NOT_MATCH] = '导入数据项和上传文件数量不一致';
var IMP_ING = 5003;
mjCodes[IMP_ING] = '已有导入实例在运行';
var IMP_USER_BANK = 5004;
mjCodes[IMP_USER_BANK] = '员工的开户行和银行账号必须同时为空或者同时不为空';
var IMP_DATA_EXIST = 5005;
mjCodes[IMP_DATA_EXIST] = '数据已存在';

var ACTION_STATUS_PARAMETER_ERROR = 2;
mjCodes[ACTION_STATUS_PARAMETER_ERROR] = '参数错误';

var ACTION_STATUS_SUCCEEDED = 10000;
var ACTION_STATUS_FAILED = 10001;
var ACTION_BAD_PARAMETER = 10002;
mjCodes[ACTION_BAD_PARAMETER] = '参数错误，请检查输入项';
var ACTION_DELETE_HAS_CHILD_DATA = 10003;
mjCodes[ACTION_DELETE_HAS_CHILD_DATA] = '删除失败，当前数据含有子项';
var ACTION_PARENT_SELF = 10004;
mjCodes[ACTION_PARENT_SELF] = '操作失败，层级结构有错误的循环设置';
var ACTION_NO_DATA_PERMISSION = 10005;
mjCodes[ACTION_NO_DATA_PERMISSION] = '操作失败，没有操作此数据的权限';
var ACTION_BAD_STATUS = 10006;
mjCodes[ACTION_BAD_STATUS] = '操作失败，当前状态不允许此操作';
var ACTION_NO_PERMISSION = 10007;
mjCodes[ACTION_NO_PERMISSION] = '操作失败，没有操作权限';

var COMPANY_STATUS_CREATED = 11001;
var COMPANY_STATUS_VERIFIED = 11002;
var COMPANY_STATUS_FROZEN = 11003;
var COMPANY_STATUS_DISABLED = 11004;

var COMPANY_STATUS_EXPIRED = 11005;
mjCodes[COMPANY_STATUS_EXPIRED] = '使用期限已过,请重新申请授权';

var DEPARTMENT_DELETE_HAS_USER = 12001;
mjCodes[DEPARTMENT_DELETE_HAS_USER] = '删除失败，当前部门下有员工存在';

var DEPARTMENT_DELETE_HAS_WORKCONTENT = 12002;
mjCodes[DEPARTMENT_DELETE_HAS_WORKCONTENT] = '删除失败，当前部门已经配置工作内容';

var DEPARTMENT_DELETE_HAS_FIN = 12003;
mjCodes[DEPARTMENT_DELETE_HAS_FIN] = '操作失败，当前部门已经产生费用';

var DEPARTMENT_DELETE_HAS_BUDGET = 12004;
mjCodes[DEPARTMENT_DELETE_HAS_BUDGET] = '操作失败，当前部门有关联的预算编制';

var DEPARTMENT_DELETE_HAS_DL = 12005;
mjCodes[DEPARTMENT_DELETE_HAS_DL] = '操作失败，当前部门有关联的工作日报';

var DEPARTMENT_DELETE_HAS_TASK = 12006;
mjCodes[DEPARTMENT_DELETE_HAS_TASK] = '操作失败，当前部门有关联的任务';

var POSITION_DELETE_HAS_USER = 13001;
mjCodes[POSITION_DELETE_HAS_USER] = '删除失败，当前职位有员工在使用';

var WORKCONTENT_DELETE_HAS_DEPARTMENT = 14001;
mjCodes[WORKCONTENT_DELETE_HAS_DEPARTMENT] = '操作失败，当前工作内容有关联的部门';

var WORKCONTENT_DELETE_HAS_USER = 14002;
mjCodes[WORKCONTENT_DELETE_HAS_USER] = '操作失败，有用户使用当前工作内容';

var WORKCONTENT_DELETE_HAS_FIN = 14003;
mjCodes[WORKCONTENT_DELETE_HAS_FIN] = '操作失败，当前工作内容有关联的费用';

var WORKCONTENT_DELETE_HAS_DL = 14004;
mjCodes[WORKCONTENT_DELETE_HAS_DL] = '操作失败，当前工作内容有关联的工作日报';

var ROLE_DELETE_HAS_USER = 15001;
mjCodes[ROLE_DELETE_HAS_USER] = '删除失败，当前角色有员工在使用';

var TASK_ACTION_INVALID_STATUS = 16001;
mjCodes[TASK_ACTION_INVALID_STATUS] = '操作失败，当前状态不允许进行此操作';

var TASK_PROGRESS_INVALID = 16002;
mjCodes[TASK_PROGRESS_INVALID] = '操作失败，当前任务进度无变化';

var TASK_ACTION_NO_MENTOR = 16003;
mjCodes[TASK_ACTION_NO_MENTOR] = '操作失败，没有上级';

var TASK_SCORE_EXIST = 16004;
mjCodes[TASK_SCORE_EXIST] = '打分失败,您已打过分';

var TASK_SCORE_WAIT = 16005;
mjCodes[TASK_SCORE_WAIT] = '打分失败,审核人需所有人打完分后才能打分';

var TASK_SCORER_DUP = 16006;
mjCodes[TASK_SCORER_DUP] = '操作失败,打分人出现多次';

var TASK_SCORER_NO_FINAL = 16007;		
mjCodes[TASK_SCORER_NO_FINAL] = '操作失败,没有最终打分人';		

var DAILYLOG_REVIEW_NO_PERMISSION = 17001;
mjCodes[DAILYLOG_REVIEW_NO_PERMISSION] = '操作失败，您没有审阅此工作日报的权限';

var DAILYLOG_DELETE_NO_PERMISSION = 17002;
mjCodes[DAILYLOG_DELETE_NO_PERMISSION] = '操作失败，您没有删除此工作日报的权限';

var DAILYLOG_CREATE_EXIST_TIME = 17003;
mjCodes[DAILYLOG_CREATE_EXIST_TIME] = '操作失败，此时间段已填写过工作日报';

var DAILYLOG_CREATE_DAY_REVIEWED = 17004;
mjCodes[DAILYLOG_CREATE_DAY_REVIEWED] = '操作失败，当天已被上级审阅，无法添加工作日报';

var DAILYLOG_CREATE_OVERSTEP_DAY = 17005;
mjCodes[DAILYLOG_CREATE_OVERSTEP_DAY] = '操作失败，工作日报不能跨天';

var DAILYLOG_CREATE_BAD_CONSUMER = 17006;
mjCodes[DAILYLOG_CREATE_BAD_CONSUMER] = '操作失败，客户无效';

var KPI_DELETE_IS_USED = 18001;
mjCodes[KPI_DELETE_IS_USED] = '删除失败，当前绩效指标在使用中';

var KPI_CREATE_NOT_ENOUGH = 18002;
mjCodes[KPI_CREATE_NOT_ENOUGH] = '分配失败，必须包含部门计划指标和项目计划指标';

var PERF_KPI_NOT_SCORE = 18500;
mjCodes[PERF_KPI_NOT_SCORE] = 'KPI尚未打分';

var PERF_KPI_SCORED = 18501;
mjCodes[PERF_KPI_SCORED] = 'KPI已打分';

var PERF_SCORED = 18502;
mjCodes[PERF_SCORED] = '绩效已打分';

var PROJECT_DELETE_HAS_USER = 19001;
mjCodes[PROJECT_DELETE_HAS_USER] = '操作失败，当前项目下有员工存在';
var PROJECT_DELETE_HAS_WORKCONTENT = 19002;
mjCodes[PROJECT_DELETE_HAS_WORKCONTENT] = '操作失败，当前项目已经配置工作内容';
var PROJECT_DELETE_HAS_FIN = 19003;
mjCodes[PROJECT_DELETE_HAS_FIN] = '操作失败，当前项目已经产生费用';
var PROJECT_DELETE_HAS_BUDGET = 19004;
mjCodes[PROJECT_DELETE_HAS_BUDGET] = '操作失败，当前项目已经有预算编制';
var PROJECT_DELETE_HAS_DL = 19005;
mjCodes[PROJECT_DELETE_HAS_DL] = '操作失败，有工作日报关联当前项目';
var PROJECT_DELETE_HAS_TASK = 19006;
mjCodes[PROJECT_DELETE_HAS_TASK] = '操作失败，有任务关联当前项目';
var PROJECT_FM_TYPE_MIX = 19007;
mjCodes[PROJECT_FM_TYPE_MIX] = '操作失败，父子项目属性不一致';
var PROJECT_FM_BAD_STATUS = 19008;
mjCodes[PROJECT_FM_BAD_STATUS] = '操作失败，父项目当前状态不能添加子项目';
var PROJECT_EDIT_CAT_NOT_LEAF = 19009;
mjCodes[PROJECT_EDIT_CAT_NOT_LEAF] = '操作失败，项目业务类型必须选择最底层';
var PROJECT_COMPLETE_SUB_STATUS_MIX = 19010;
mjCodes[PROJECT_COMPLETE_SUB_STATUS_MIX] = '完成失败，有未完成的子项目';
var PROJECT_ENABLE_PARENT_STATUS_MIX = 19011;
mjCodes[PROJECT_ENABLE_PARENT_STATUS_MIX] = '启用失败，请先启用父项目';
var PROJECT_EDIT_DEPT_ACC_MIX = 19012;
mjCodes[PROJECT_EDIT_DEPT_ACC_MIX] = '归属部门和关联帐套的信息不匹配';

var USER_CHECK_UNAUTHORIZED = 20001;		
mjCodes[USER_CHECK_UNAUTHORIZED] = '用户未授权';

var USER_CHECK_FROZEN = 20003;
mjCodes[USER_CHECK_FROZEN] = '用户已被禁止登录';

var USER_CHECK_DISABLED = 20004;
mjCodes[USER_CHECK_DISABLED] = '用户已被禁用';

var USER_ACTION_WRONG_LOGIN = 21001;
mjCodes[USER_ACTION_WRONG_LOGIN] = '用户名或密码错误';

var USER_NOT_EXIST = 21002;
mjCodes[USER_NOT_EXIST] = '用户不存在';

var USER_BAD_OLD_PWD = 21003;
mjCodes[USER_BAD_OLD_PWD] = '旧密码错误';

var USER_ALREADY_EXIST = 21004;
mjCodes[USER_ALREADY_EXIST] = '用户名已存在';

var USER_LIMIT = 21005;
mjCodes[USER_LIMIT] = '用户已达上限';

var USER_SALARY_PRICE_INVALID = 21101;
mjCodes[USER_SALARY_PRICE_INVALID] = '工资金额有误，请确认大于0.01';

var USER_DELETE_HAS_USER = 21102;
mjCodes[USER_DELETE_HAS_USER] = '删除失败,当前用户有下属';

var USER_ACCOUNT_NO_DEPARTMENT = 21103;
mjCodes[USER_ACCOUNT_NO_DEPARTMENT] = '用户必须指定部门';

var USER_DELETE_HAS_FIN = 21104;
mjCodes[USER_DELETE_HAS_FIN] = '删除失败,当前用户已经产生费用';

var USER_DELETE_HAS_DL = 21105;
mjCodes[USER_DELETE_HAS_DL] = '删除失败,当前用户已经填写工作日报';

var USER_DELETE_HAS_TASK = 21106;
mjCodes[USER_DELETE_HAS_TASK] = '删除失败,当前用户已经有关联任务';

var USER_TYPE_DELETE_HAS_USER = 21107;
mjCodes[USER_TYPE_DELETE_HAS_USER] = '删除失败,有用户在使用此属性';
var USER_QR_EXPIRED = 21108;
mjCodes[USER_QR_EXPIRED] = '登录码已过期，请刷新';

var WF_NOT_DEFINED = 22001;
mjCodes[WF_NOT_DEFINED] = '没有定义相应的工作流';
var WF_NO_REVIEWER = 22002;
mjCodes[WF_NO_REVIEWER] = '当前工作流节点配置的角色无可用人员';
var WF_NO_NAME = 22003;
mjCodes[WF_NO_NAME] = '当前工作流没有配置名称';
var WF_NO_START = 22004;
mjCodes[WF_NO_START] = '当前工作流没有起始节点';
var WF_NO_END = 22005;
mjCodes[WF_NO_END] = '当前工作流没有结束节点';
var WF_NO_ASSIGNEE = 22006;
mjCodes[WF_NO_ASSIGNEE] = '找不到审核人';
var WF_NO_OWNER = 22007;
mjCodes[WF_NO_OWNER] = '找不到申请人';
var WF_NO_MENTOR = 22008;
mjCodes[WF_NO_MENTOR] = '找不到上级';
var WF_DESIGN_ERR = 22009;
mjCodes[WF_DESIGN_ERR] = '工作流设计出错,请拒绝当前单据并检查对应工作流';
var WF_DESIGN_SPEL = 22010;
mjCodes[WF_DESIGN_SPEL] = '工作流表达式出错,请拒绝当前单据并检查对应工作流';
var WF_NODE_MISS = 22011;
mjCodes[WF_NODE_MISS] = '工作流改变后,当前审核节点丢失,请拒绝当前单据并检查对应工作流';
var WF_NO_OPERATION = 22012;
mjCodes[WF_NO_OPERATION] = '找不到下一步审核人';
var WF_DESIGN_DOC = 22013;
mjCodes[WF_DESIGN_DOC] = '工作流设计出错';

var BILL_NOT_DEF_EA = 23001;
mjCodes[BILL_NOT_DEF_EA] = '没有配置费用科目';
var BILL_PAID_SHOULD_BIGGER_ZERO = 23002;
mjCodes[BILL_PAID_SHOULD_BIGGER_ZERO] = '单据应付款不能为负';
var BILL_DC_NOT_EQUAL = 23003;
mjCodes[BILL_DC_NOT_EQUAL] = '单据的借贷总金额不相等';
var BILL_CR_EQ_ZERO = 23004;
mjCodes[BILL_CR_EQ_ZERO] = '单据的贷方金额不能为零';
var BILL_DR_EQ_ZERO = 23005;
mjCodes[BILL_DR_EQ_ZERO] = '单据的费用金额不能为零';
var BILL_CO_INVALID_TIME = 23006;
mjCodes[BILL_CO_INVALID_TIME] = '结转日期应该在填单日期和当前日期之间';
var BILL_PAY_INVALID_TIME = 23007;
mjCodes[BILL_PAY_INVALID_TIME] = '付款日期应该在填单日期和当前日期之间';
var BILL_COLLECT_INVALID_TIME = 23008;
mjCodes[BILL_COLLECT_INVALID_TIME] = '收款日期应该在填单日期和当前日期之间';
var BILL_DICT_TAX_EXPENSE_EA_UNDEFINED = 23009;
mjCodes[BILL_DICT_TAX_EXPENSE_EA_UNDEFINED] = '字典尚未配置:进项税';
var BILL_EA_NOT_MAP = 23010;
mjCodes[BILL_EA_NOT_MAP] = '相关设置没有映射会计科目';
var BILL_EA_NO_CODE = 23011;
mjCodes[BILL_EA_NO_CODE] = '会计科目没有设置财务编码';
var BILL_UPLOAD_NOT_COMPLETE = 23012;
mjCodes[BILL_UPLOAD_NOT_COMPLETE] = '单据信息不完整';
var BILL_CR_EA_IS_BLANK = 23013;
mjCodes[BILL_CR_EA_IS_BLANK] = '贷方信息的科目为必填';
var BILL_EDIT_BA_IS_BLANK = 23014;
mjCodes[BILL_EDIT_BA_IS_BLANK] = '帐套付款帐号为必填';
var BILL_VOUCHER_NO_FIN_ACCOUNT = 23015;
mjCodes[BILL_VOUCHER_NO_FIN_ACCOUNT] = '没有配置对应财务系统的填单账号';
var BILL_CO_EQ_ZERO = 23016;
mjCodes[BILL_CO_EQ_ZERO] = '金额为零,不需要结转';
var BILL_LOAN_LE_ZERO = 23017;
mjCodes[BILL_LOAN_LE_ZERO] = '冲销借款金额必须大于0';
var BILL_SUB_EMPTY = 23018;
mjCodes[BILL_SUB_EMPTY] = '请至少填写一条报销明细';
var BILL_LOAN_EXT1_NULL = 23019;
mjCodes[BILL_LOAN_EXT1_NULL] = '单据的借款类型不能为空';
var BILL_LOAN_TIME_RANGE = 23020;
mjCodes[BILL_LOAN_TIME_RANGE] = '预计报销日期必须大于需求日期';
var BILL_SP_GOODS_EXT1_NULL = 23021;
mjCodes[BILL_SP_GOODS_EXT1_NULL] = '单据的应付类型不能为空';
var BILL_SP_GOODS_TIME_RANGE = 23022;
mjCodes[BILL_SP_GOODS_TIME_RANGE] = '需求日期必须大于填单日期';
var BILL_SP_PREPAY_EXT1_NULL = 23023;
mjCodes[BILL_SP_PREPAY_EXT1_NULL] = '单据的预付类型不能为空';
var BILL_SP_PREPAY_TIME_RANGE = 23024;
mjCodes[BILL_SP_PREPAY_TIME_RANGE] = '预计报销日期必须大于需求日期';
var BILL_CURRENCY_NO_NUM1 = 23025;
mjCodes[BILL_CURRENCY_NO_NUM1] = '币别财务编码为空';
var BILL_DR_EA_IS_BLANK = 23026;
mjCodes[BILL_DR_EA_IS_BLANK] = '借方信息的科目为必填';
var BILL_MEND_ERR_TIME = 23027;
mjCodes[BILL_MEND_ERR_TIME] = '补单的填单时间必须在帐套启用时间之前';
var BILL_EA_IS_BLANK = 23028;
mjCodes[BILL_EA_IS_BLANK] = '明细的科目为必填';
var BILL_COLLECT_DC_NOT_EQUAL = 23029;		
mjCodes[BILL_COLLECT_DC_NOT_EQUAL] = '收款方的借贷总金额不相等';		
var BILL_PAY_DC_NOT_EQUAL = 23030;		
mjCodes[BILL_PAY_DC_NOT_EQUAL] = '付款方的借贷总金额不相等';		
var BILL_COLLECT_PAY_NOT_EQUAL = 23031;		
mjCodes[BILL_COLLECT_PAY_NOT_EQUAL] = '收款方和付款方的金额不一致';		
var BILL_CO_PAY_INVALID_TIME = 23032;		
mjCodes[BILL_CO_PAY_INVALID_TIME] = '付款日期应该在结转日期和当前日期之间';
var BILL_ADJUST_MONEY_CHANGE = 23033;
mjCodes[BILL_ADJUST_MONEY_CHANGE] = '调账总金额不能变';
var BILL_ADJUST_COLLECT_CHANGE = 23034;
mjCodes[BILL_ADJUST_COLLECT_CHANGE] = '收款方借方总金额变了';
var BILL_ADJUST_PAY_CHANGE = 23035;
mjCodes[BILL_ADJUST_PAY_CHANGE] = '付款方借方总金额变了';
var BILL_ADJUST_FIX_CHANGE = 23036;
mjCodes[BILL_ADJUST_FIX_CHANGE] = '按照划转单的规则算出来的金额变了';

var BILL_CURRENCY_NO_CODE = 23050;
mjCodes[BILL_CURRENCY_NO_CODE] = '币别没有设置财务编码';

var BILL_PROJECT_NO_CODE = 23051;
mjCodes[BILL_PROJECT_NO_CODE] = '项目没有设置财务编码';

var BILL_CONSUMER_NO_CODE = 23052;
mjCodes[BILL_CONSUMER_NO_CODE] = '客户没有设置财务编码';

var BILL_CUSTOMER_NOT_MAP = 23053;
mjCodes[BILL_CUSTOMER_NOT_MAP] = '贷方往来单位没有映射会计科目';

var BILL_CUSTOMER_NO_CODE = 23054;
mjCodes[BILL_CUSTOMER_NO_CODE] = '供应商没有设置财务编码';

var BILL_DEPARTMENT_NOT_MAP = 23055;
mjCodes[BILL_DEPARTMENT_NOT_MAP] = '贷方部门没有映射会计科目';

var BILL_DEPARTMENT_NO_CODE = 23056;
mjCodes[BILL_DEPARTMENT_NO_CODE] = '部门没有设置财务编码';

var BILL_USER_NOT_MAP = 23057;
mjCodes[BILL_USER_NOT_MAP] = '员工没有映射会计科目';

var BILL_USER_NO_CODE = 23058;
mjCodes[BILL_USER_NO_CODE] = '员工没有设置财务编码';

var BILL_EXPENSE_LE_ZERO = 23060;
mjCodes[BILL_EXPENSE_LE_ZERO] = '金额必须为正';

var BILL_SUB_DC_EMPTY = 23061;
mjCodes[BILL_SUB_DC_EMPTY] = '借贷不能都为空';

var BILL_SUB_DR_EMPTY = 23062;
mjCodes[BILL_SUB_DR_EMPTY] = '借方不能为空';

var BILL_SUB_CR_EMPTY = 23063;
mjCodes[BILL_SUB_CR_EMPTY] = '贷方不能为空';

var BILL_SUB_EA_NOT_LEAF = 23064;
mjCodes[BILL_SUB_EA_NOT_LEAF] = '会计科目必须为最底层科目';

var BILL_TAX_EXCEED = 23080;
mjCodes[BILL_TAX_EXCEED] = '进项税有误,比率应不超出0.17';

var BILL_BANK_NO_EA = 23081;
mjCodes[BILL_BANK_NO_EA] = '传递凭证需要付款的银行账号映射会计科目';

var BILL_IMP_INCOME_MULTI_MAP = 23082;
mjCodes[BILL_IMP_INCOME_MULTI_MAP] = '导入失败,有多个数据对应同一个编码';

var BILL_LOAN_FEE_PROJECT_NOT_MATCH = 23086;		
mjCodes[BILL_LOAN_FEE_PROJECT_NOT_MATCH] = '明细和冲销借款单的项目信息不匹配';		

var BILL_LOAN_FEE_PROJECT_NOT_CONTAIN = 23087;		
mjCodes[BILL_LOAN_FEE_PROJECT_NOT_CONTAIN] = '明细和冲销借款单的项目金额不匹配';	
	
var BILL_LOAN_FEE_DEPARTMENT_NOT_MATCH = 23088;		
mjCodes[BILL_LOAN_FEE_DEPARTMENT_NOT_MATCH] = '明细和冲销借款单的部门信息不匹配';	
	
var BILL_LOAN_FEE_DEPARTMENT_NOT_CONTAIN = 23089;		
mjCodes[BILL_LOAN_FEE_DEPARTMENT_NOT_CONTAIN] = '明细和冲销借款单的部门金额不匹配';

var CAR_BILL_CAR_USING = 23101;
mjCodes[CAR_BILL_CAR_USING] = '车辆已在使用中';

var CAR_BILL_CAR_FEE_CANNT_SHARE = 23102;
mjCodes[CAR_BILL_CAR_FEE_CANNT_SHARE] = '费用找不到匹配单据并且没有设置默认分摊部门';

var CAR_BILL_CAR_FEE_NOT_MAP = 23103;
mjCodes[CAR_BILL_CAR_FEE_NOT_MAP] = '此区间找不到车卡映射纪录';

var CAR_BILL_CAR_FEE_NO_DEFAULT_DEPARTMENT = 23104;
mjCodes[CAR_BILL_CAR_FEE_NO_DEFAULT_DEPARTMENT] = '车辆没有设置默认归属部门';

var BILL_IMPORT_MULTI_DEPARTMENT = 23500;
mjCodes[BILL_IMPORT_MULTI_DEPARTMENT] = '找到多个部门';
var BILL_IMPORT_MULTI_PROJECT = 23501;
mjCodes[BILL_IMPORT_MULTI_PROJECT] = '找到多个项目';
var BILL_IMPORT_MULTI_USER = 23502;
mjCodes[BILL_IMPORT_MULTI_USER] = '找到多个业务员';
var BILL_IMPORT_MULTI_CUSTOMER = 23503;
mjCodes[BILL_IMPORT_MULTI_CUSTOMER] = '找到多个客户';
var BILL_IMPORT_MULTI_STORE = 23504;
mjCodes[BILL_IMPORT_MULTI_STORE] = '找到多个门店';

var BILL_IMPORT_ICB_NO_NUM = 23600;
mjCodes[BILL_IMPORT_ICB_NO_NUM] = '编码为空';
var BILL_IMPORT_ICB_NO_INCOME = 23601;
mjCodes[BILL_IMPORT_ICB_NO_INCOME] = '预算收入为空';
var BILL_IMPORT_ICB_NO_COST = 23602;
mjCodes[BILL_IMPORT_ICB_NO_COST] = '预算成本为空';
var BILL_IMPORT_ICB_NO_STORE = 23603;
mjCodes[BILL_IMPORT_ICB_NO_STORE] = '找不到对应门店';
var BILL_IMPORT_ICB_NO_PROJECT = 23604;
mjCodes[BILL_IMPORT_ICB_NO_PROJECT] = '找不到对应项目';
var BILL_IMPORT_ICB_INCOME_NEGATIVE = 23605;
mjCodes[BILL_IMPORT_ICB_INCOME_NEGATIVE] = '预算收入为负';
var BILL_IMPORT_ICB_COST_NEGATIVE = 23606;
mjCodes[BILL_IMPORT_ICB_COST_NEGATIVE] = '预算成本为负';

var BILL_IMPORT_ICD_NO_DM = 23700;
mjCodes[BILL_IMPORT_ICD_NO_DM] = '部门,项目,客户和业务员全部为空';
var BILL_IMPORT_ICD_NO_USER = 23701;
mjCodes[BILL_IMPORT_ICD_NO_USER] = '找不到对应业务员';
var BILL_IMPORT_ICD_NO_CUSTOMER = 23702;
mjCodes[BILL_IMPORT_ICD_NO_CUSTOMER] = '找不到对应客户';
var BILL_IMPORT_ICD_NO_DEPARTMENT = 23703;
mjCodes[BILL_IMPORT_ICD_NO_DEPARTMENT] = '找不到对应部门';
var BILL_IMPORT_ICD_NO_PROJECT = 23704;
mjCodes[BILL_IMPORT_ICD_NO_PROJECT] = '找不到对应项目';
var BILL_IMPORT_ICD_SC_NEGATIVE = 23705;
mjCodes[BILL_IMPORT_ICD_SC_NEGATIVE] = '销售数量为负';
var BILL_IMPORT_ICD_NO_SI = 23706;
mjCodes[BILL_IMPORT_ICD_NO_SI] = '销售收入为空';
var BILL_IMPORT_ICD_NO_SC = 23707;
mjCodes[BILL_IMPORT_ICD_NO_SC] = '销售成本为空';
var BILL_IMPORT_ICD_NO_TIME = 23708;
mjCodes[BILL_IMPORT_ICD_NO_TIME] = '日期为空';
var BILL_IMPORT_ICD_TIME_ERR = 23709;
mjCodes[BILL_IMPORT_ICD_TIME_ERR] = '日期和导入月份不相符';

var BUDGET_EDIT_DEPARTMENT_EXIST = 24001;
mjCodes[BUDGET_EDIT_DEPARTMENT_EXIST] = '预算部门已存在别的预算方案中';

var BUDGET_EDIT_PROJECT_EXIST = 24002;
mjCodes[BUDGET_EDIT_PROJECT_EXIST] = '预算项目已存在别的预算方案中';

var BUDGET_CREATE_INVALID_YEAR = 24003;
mjCodes[BUDGET_CREATE_INVALID_YEAR] = '编制预算的年份不能小于当年';

var BUDGET_ACTIVE_INVALID_YEAR = 24004;
mjCodes[BUDGET_ACTIVE_INVALID_YEAR] = '不能激活年份小于当年的预算方案';

var BUSINESS_DELETE_HAS_DEPARTMENT = 25001;
mjCodes[BUSINESS_DELETE_HAS_DEPARTMENT] = '删除失败，当前业务活动有关联的部门';

var BUSINESS_DELETE_HAS_FIN = 25002;
mjCodes[BUSINESS_DELETE_HAS_FIN] = '删除失败，当前业务活动已经产生费用';

var BUSINESS_DELETE_HAS_DL = 25003;
mjCodes[BUSINESS_DELETE_HAS_DL] = '删除失败，当前业务活动有关联的工作日报';

var EA_DELETE_HAS_DEPARTMENT = 26001;
mjCodes[EA_DELETE_HAS_DEPARTMENT] = '删除失败，当前科目有关联的部门';

var EA_DELETE_HAS_USER = 26002;
mjCodes[EA_DELETE_HAS_USER] = '删除失败，有用户使用当前科目';

var EA_DELETE_HAS_BILL = 26003;
mjCodes[EA_DELETE_HAS_BILL] = '删除失败，当前科目已产生费用';

var EA_NAME_CHAR_ERR = 26004;
mjCodes[EA_NAME_CHAR_ERR] = '科目名称不能含有字符"-"';

var EA_TYPE_REQUIRED = 26005;
mjCodes[EA_TYPE_REQUIRED] = '科目属性为必填';

var EA_NO_CHANGE_PATH = 26006;
mjCodes[EA_NO_CHANGE_PATH] = '科目不能修改层级';

var BILL_VOUCHER_DC_NOT_BALANCE = 27001;
mjCodes[BILL_VOUCHER_DC_NOT_BALANCE] = '借贷不相等';
var BILL_VOUCHER_DR_TAX_EA_NULL = 27002;
mjCodes[BILL_VOUCHER_DR_TAX_EA_NULL] = '进项税科目为空';
var BILL_VOUCHER_CR_TAX_EA_NULL = 27003;
mjCodes[BILL_VOUCHER_CR_TAX_EA_NULL] = '销项稅科目为空';
var BILL_VOUCHER_MERGE_DEPT = 27004;
mjCodes[BILL_VOUCHER_MERGE_DEPT] = '凭证不属于同一个帐套';
var BILL_VOUCHER_MERGE_MONTH = 27005;
mjCodes[BILL_VOUCHER_MERGE_MONTH] = '必须属于同一月份';
var BILL_VOUCHER_MISS_DEPT = 27006;
mjCodes[BILL_VOUCHER_MISS_DEPT] = '多帐套传递时需要有部门信息';
var BILL_VOUCHER_ADJUST_IS_MERGE = 27007;
mjCodes[BILL_VOUCHER_ADJUST_IS_MERGE] = '此单据已合并传递';

var PRODUCT_DELETE_HAS_FIN = 28001;
mjCodes[PRODUCT_DELETE_HAS_FIN] = '操作失败，当前产品已经产生费用';

var PROJECT_CATEGORY_DELETE_HAS_PROJECT = 29001;
mjCodes[PROJECT_CATEGORY_DELETE_HAS_PROJECT] = '操作失败，当前业务类型有项目在使用';

var CURRENCY_HAS_BILL = 30001;
mjCodes[CURRENCY_HAS_BILL] = '操作失败，当前币别已经在使用';
var CURRENCY_NO_RATE = 30002;
mjCodes[CURRENCY_NO_RATE] = '外币汇率没有设置';

var BILL_MODEL_NULL_DEPARTMENT = 33025;
mjCodes[BILL_MODEL_NULL_DEPARTMENT] = '申请部门为空';
var BILL_MODEL_NULL_OWNER = 33026;
mjCodes[BILL_MODEL_NULL_OWNER] = '申请人为空';
var BILL_MODEL_NULL_PAY_TYPE = 33027;
mjCodes[BILL_MODEL_NULL_PAY_TYPE] = '支付类型为空';
var BILL_MODEL_NULL_PAY_CURRENCY = 33028;
mjCodes[BILL_MODEL_NULL_PAY_CURRENCY] = '币别为空';
var BILL_MODEL_NULL_PROJECT = 33029;
mjCodes[BILL_MODEL_NULL_PROJECT] = '单据的项目为空';
var BILL_MODEL_NULL_CUSTOMER = 33030;
mjCodes[BILL_MODEL_NULL_CUSTOMER] = '单据的供应商为空';
var BILL_MODEL_NULL_RECEIVE = 33031;
mjCodes[BILL_MODEL_NULL_RECEIVE] = '银行账号为空';
var BILL_MODEL_NULL_BUDGET_TIME = 33032;
mjCodes[BILL_MODEL_NULL_BUDGET_TIME] = '填单时间为空';
var BILL_MODEL_NULL_REQUIRE_TIME = 33033;
mjCodes[BILL_MODEL_NULL_REQUIRE_TIME] = '单据的需求日期为空';
var BILL_MODEL_NULL_START_TIME = 33034;
mjCodes[BILL_MODEL_NULL_START_TIME] = '单据的开始时间为空';
var BILL_MODEL_NULL_END_TIME = 33035;
mjCodes[BILL_MODEL_NULL_END_TIME] = '单据的预计报销日期为空';
var BILL_MODEL_NULL_EXPENSE = 33036;
mjCodes[BILL_MODEL_NULL_EXPENSE] = '单据的金额为空';
var BILL_MODEL_NULL_NOTE = 33037;
mjCodes[BILL_MODEL_NULL_NOTE] = '单据的用途为空';
var BILL_MODEL_NULL_PAPER = 33038;
mjCodes[BILL_MODEL_NULL_PAPER] = '附票据为空';
var BILL_MODEL_NULL_PAY_TARGET = 33065;
mjCodes[BILL_MODEL_NULL_PAY_TARGET] = '单据的付款对象为空';
var BILL_MODEL_NULL_EA = 33070;
mjCodes[BILL_MODEL_NULL_EA] = '单据的科目为空';
var BILL_MODEL_BLANK_DEPARTMENT = 33071;
mjCodes[BILL_MODEL_BLANK_DEPARTMENT] = '财务核算需要,单据的申请部门不能为空或无';
var BILL_MODEL_BLANK_USER = 33072;
mjCodes[BILL_MODEL_BLANK_USER] = '财务核算需要,单据的申请人不能为空或无';
var BILL_MODEL_BLANK_CUSTOMER = 33073;
mjCodes[BILL_MODEL_BLANK_CUSTOMER] = '财务核算需要,单据的供应商不能为空或无';
var BILL_MODEL_NULL_EA_PREPAY = 33074;
mjCodes[BILL_MODEL_NULL_EA_PREPAY] = '单据的借款/预付类型为空';
var BILL_MODEL_NULL_EA_GOODS = 33075;
mjCodes[BILL_MODEL_NULL_EA_GOODS] = '单据的应付类型为空';
var BILL_MODEL_NULL_EA_SALE = 33076;
mjCodes[BILL_MODEL_NULL_EA_SALE] = '单据的借方科目为空';
var BILL_MODEL_NULL_BIZ_TYPE = 33077;
mjCodes[BILL_MODEL_NULL_BIZ_TYPE] = '单据的业务类型为空';
var BILL_MODEL_NULL_SALE_TYPE = 33078;
mjCodes[BILL_MODEL_NULL_SALE_TYPE] = '单据的销售方式为空';
var BILL_MODEL_NULL_CONSUMER = 33079;
mjCodes[BILL_MODEL_NULL_CONSUMER] = '单据的客户为空';
var BILL_MODEL_BLANK_CONSUMER = 33080;
mjCodes[BILL_MODEL_BLANK_CONSUMER] = '财务核算需要,单据的客户不能为空或无';
var BILL_MODEL_BLANK_PROJECT = 33081;
mjCodes[BILL_MODEL_BLANK_PROJECT] = '财务核算需要,单据的项目不能为空或无';
var BILL_MODEL_BLANK_ACCOUNT = 33082;
mjCodes[BILL_MODEL_BLANK_ACCOUNT] = '申请部门没有设置帐套';
var BILL_MODEL_NULL_SETTLEMENT_TIME = 33083;		
mjCodes[BILL_MODEL_NULL_SETTLEMENT_TIME] = '单据的结息时间为空';		
var BILL_MODEL_OUT_BUDGET_TIME = 33084;
mjCodes[BILL_MODEL_OUT_BUDGET_TIME] = '单据的填单时间不能晚于当前日期';

var BILL_LOAN_MIX_ACCOUNT = 33580;
mjCodes[BILL_LOAN_MIX_ACCOUNT] = '借款单所对应的帐套和申请部门的帐套不一致';
var BILL_IS_CO = 33581;
mjCodes[BILL_IS_CO] = '已结转';
var BILL_LOAN_MIX_CURRENCY = 33582;
mjCodes[BILL_LOAN_MIX_CURRENCY] = '混合币别冲借款单的财务时间必须跟填单日期在同一个月';

var BILL_FEE_MODEL_NULL_DEPARTMENT = 34039;
mjCodes[BILL_FEE_MODEL_NULL_DEPARTMENT] = '明细的归属部门为空';
var BILL_FEE_MODEL_NULL_OWNER = 34040;
mjCodes[BILL_FEE_MODEL_NULL_OWNER] = '明细的归属人为空';
var BILL_FEE_MODEL_NULL_PROJECT = 34041;
mjCodes[BILL_FEE_MODEL_NULL_PROJECT] = '明细的项目为空';
var BILL_FEE_MODEL_NULL_CUSTOMER = 34042;
mjCodes[BILL_FEE_MODEL_NULL_CUSTOMER] = '明细的供应商为空';
var BILL_FEE_MODEL_NULL_REQUIRE_TIME = 34043;
mjCodes[BILL_FEE_MODEL_NULL_REQUIRE_TIME] = '明细的扣款日期为空';
var BILL_FEE_MODEL_NULL_START_TIME = 34044;
mjCodes[BILL_FEE_MODEL_NULL_START_TIME] = '明细的开始时间为空';
var BILL_FEE_MODEL_NULL_END_TIME = 34045;
mjCodes[BILL_FEE_MODEL_NULL_END_TIME] = '明细的结束时间为空';
var BILL_FEE_MODEL_NULL_EXPENSE = 34046;
mjCodes[BILL_FEE_MODEL_NULL_EXPENSE] = '明细的金额为空';
var BILL_FEE_MODEL_NULL_NOTE = 34047;
mjCodes[BILL_FEE_MODEL_NULL_NOTE] = '明细的备注为空';
var BILL_FEE_MODEL_NULL_EA = 34048;
mjCodes[BILL_FEE_MODEL_NULL_EA] = '明细的会计科目为空';
var BILL_FEE_MODEL_NULL_ASSET = 34049;
mjCodes[BILL_FEE_MODEL_NULL_ASSET] = '明细的资产类型为空';
var BILL_FEE_MODEL_NULL_WC = 34050;
mjCodes[BILL_FEE_MODEL_NULL_WC] = '明细的工作内容为空';
var BILL_FEE_MODEL_NULL_BIZ = 34051;
mjCodes[BILL_FEE_MODEL_NULL_BIZ] = '明细的业务活动为空';
var BILL_FEE_MODEL_TIME_RANGE = 34052;
mjCodes[BILL_FEE_MODEL_TIME_RANGE] = '明细的起止时间有误';
var BILL_FEE_MODEL_EXPENSE_MIX = 34059;
mjCodes[BILL_FEE_MODEL_EXPENSE_MIX] = '明细的进项税和金额的正负不一致';
var BILL_FEE_MODEL_BLANK_DEPARTMENT = 34066;
mjCodes[BILL_FEE_MODEL_BLANK_DEPARTMENT] = '财务核算需要,明细的部门不能为空或无';
var BILL_FEE_MODEL_BLANK_USER = 34067;
mjCodes[BILL_FEE_MODEL_BLANK_USER] = '财务核算需要,明细的归属人不能为空或无';
var BILL_FEE_MODEL_BLANK_CUSTOMER = 34068;
mjCodes[BILL_FEE_MODEL_BLANK_CUSTOMER] = '财务核算需要,明细的供应商不能为空或无';
var BILL_FEE_MODEL_TAX_EA_NULL = 34069;
mjCodes[BILL_FEE_MODEL_TAX_EA_NULL] = '明细的进项税科目为空';
var BILL_FEE_MODEL_NULL_CONSUMER = 34070;
mjCodes[BILL_FEE_MODEL_NULL_CONSUMER] = '明细的客户为空';
var BILL_FEE_MODEL_BLANK_CONSUMER = 34071;
mjCodes[BILL_FEE_MODEL_BLANK_CONSUMER] = '财务核算需要,明细的客户不能为空或无';
var BILL_FEE_MODEL_BLANK_PROJECT = 34072;
mjCodes[BILL_FEE_MODEL_BLANK_PROJECT] = '财务核算需要,明细的项目不能为空或无';
var BILL_FEE_MODEL_BLANK_ACCOUNT = 34073;
mjCodes[BILL_FEE_MODEL_BLANK_ACCOUNT] = '归属部门没有设置帐套';
var BILL_FEE_MODEL_MIX_ACCOUNT = 34074;
mjCodes[BILL_FEE_MODEL_MIX_ACCOUNT] = '归属部门和申请部门的帐套不一致';
var BILL_FEE_MODEL_MIX_CASH_TIME = 34075;
mjCodes[BILL_FEE_MODEL_MIX_CASH_TIME] = '明细的银行扣款/收款时间和单据填单日期必须在同一个月';
var BILL_FEE_MODEL_MIX_COLLECT_TIME = 34076;
mjCodes[BILL_FEE_MODEL_MIX_COLLECT_TIME] = '明细的实际收款时间和单据填单日期必须在同一个月';
var BILL_FEE_MODEL_NULL_CASH_TIME = 34077;
mjCodes[BILL_FEE_MODEL_NULL_CASH_TIME] = '明细的银行收款日期为空';
var BILL_FEE_MODEL_NULL_CASH_TIME_CR = 34078;
mjCodes[BILL_FEE_MODEL_NULL_CASH_TIME_CR] = '明细的银行扣款日期为空';
var BILL_FEE_MODEL_NULL_COLLECT_TIME = 34079;
mjCodes[BILL_FEE_MODEL_NULL_COLLECT_TIME] = '明细的预计收款日期为空';
var BILL_FEE_MODEL_NULL_COLLECT_TIME_CR = 34080;
mjCodes[BILL_FEE_MODEL_NULL_COLLECT_TIME_CR] = '明细的实际收款日期为空';
var BILL_FEE_MODEL_NO_CASH_ITEM = 34081;
mjCodes[BILL_FEE_MODEL_NO_CASH_ITEM] = '明细的现金流量项目为空';
var BILL_FEE_MODEL_NO_CASH_ITEM_CR = 34082;
mjCodes[BILL_FEE_MODEL_NO_CASH_ITEM_CR] = '明细的现金流量项目为空';
var BILL_FEE_MODEL_NULL_TO_CURRENCY = 34083;
mjCodes[BILL_FEE_MODEL_NULL_TO_CURRENCY] = '明细的冲应收币别为空';
var BILL_FEE_MODEL_NULL_CASHFLOW = 34084;		
mjCodes[BILL_FEE_MODEL_NULL_CASHFLOW] = '明细的现金流量项目为空';		
var BILL_FEE_MODEL_MIX_BUDGET_COLLECT_TIME = 34085;		
mjCodes[BILL_FEE_MODEL_MIX_BUDGET_COLLECT_TIME] = '明细的预计收款时间和单据的预算收款月份必须在同一个月';		
var BILL_FEE_MODEL_MIX_BUDGET_PAY_TIME = 34086;		
mjCodes[BILL_FEE_MODEL_MIX_BUDGET_PAY_TIME] = '明细的预计付款时间和单据的预算付款月份必须在同一个月';
var BILL_FEE_MODEL_NULL_DC = 34087;
mjCodes[BILL_FEE_MODEL_NULL_DC] = '明细的借贷类型为空';
var BILL_FEE_MODEL_NULL_CAR = 34088;
mjCodes[BILL_FEE_MODEL_NULL_CAR] = '明细的车辆为空';

var CONSUMER_NAME_EXIST = 35001;
mjCodes[CONSUMER_NAME_EXIST] = '客户名称已存在';

var CF_DELETE_HAS_FIN = 36001;
mjCodes[CF_DELETE_HAS_FIN] = '删除失败，当前现金流量项目已经产生单据';

/**发票**/
var INVOICE_EXIST = 40000;
mjCodes[INVOICE_EXIST] = '操作失败,发票已存在';
var INVOICE_HAS_USED = 40001;
mjCodes[INVOICE_HAS_USED] = '操作失败,发票已被关联';
var INVOICE_UNDETECTED = 40002;
mjCodes[INVOICE_UNDETECTED] = '未检测到发票文件';
var INVOICE_READ_FAILURE = 40003;
mjCodes[INVOICE_READ_FAILURE] = '发票读取失败';
var INVOICE_CREATE_FAILURE = 40004;
mjCodes[INVOICE_CREATE_FAILURE] = '发票创建失败';
var INVOICE_UPDATE_FAILURE = 40005;
mjCodes[INVOICE_UPDATE_FAILURE] = '发票信息更新失败';
var INVOICE_DELETE_FAILURE = 40006;
mjCodes[INVOICE_DELETE_FAILURE] = '发票删除失败';
var INVOICE_LINK_FAILURE_OF_BILL_STATUS = 40007;
mjCodes[INVOICE_LINK_FAILURE_OF_BILL_STATUS] = '发票关联失败,当前单据状态不允许关联发票';

/**根据返回值显示信息 start**/
function showResult(res, defaultMsg, prependMsg) {
    if(res.status && res.status==401) {
      mui.alert('您没有此操作的权限，请联系管理员进行确认');
      return;
    }
    var resCode = res.responseText;
    if (resCode && mjCodes.hasOwnProperty(resCode)) {
        mui.alert(prependMsg ? (prependMsg+mjCodes[resCode]) : mjCodes[resCode]);
    } else {
        defaultMsg && mui.alert(defaultMsg);
    }
}
function getResultMsg(res, defaultMsg, prependMsg){
    if(res.status && res.status==401) {
      return '您没有此操作的权限，请联系管理员进行确认';
    }
    var resCode = res.responseText;
    if (resCode && mjCodes.hasOwnProperty(resCode)) {
        return prependMsg ? (prependMsg+mjCodes[resCode]) : mjCodes[resCode];
    } else {
        return defaultMsg ? defaultMsg : '';
    }
}
function showFromCode(resCode) {
  if (resCode && mjCodes.hasOwnProperty(resCode)) {
    mui.alert(mjCodes[resCode]);
  } else {
    mui.alert('错误代码：' + resCode + '，请通知管理员');
  }
}
function getFromCode(resCode) {
  if (resCode && mjCodes.hasOwnProperty(resCode)) {
    return mjCodes[resCode];
  } else {
    return '错误代码：' + resCode + '，请通知管理员';
  }
}
/**根据返回值显示信息 end**/

var mjActions = {};

/**
 * 数据导入
 */
var ACTION_SYS_DATA_IMPORT = 10001;
mjActions[ACTION_SYS_DATA_IMPORT] = '数据导入';

var ACTION_SYS_DATA_IMPORT_SUCCEED = 10002;
mjActions[ACTION_SYS_DATA_IMPORT_SUCCEED] = '数据导入成功';

var ACTION_SYS_DATA_IMPORT_FAILED = 10003;
mjActions[ACTION_SYS_DATA_IMPORT_FAILED] = '数据导入失败';

var ACTION_SYS_DATA_IMPORT_DELETE = 10004;
mjActions[ACTION_SYS_DATA_IMPORT_DELETE] = '数据导入删除';

/**
 * 科目
 */
var ACTION_EA_NOTIFY_CHANGE = 10050;
mjActions[ACTION_EA_NOTIFY_CHANGE] = '单据会计科目更新';

var ACTION_EA_CREATE = 10051;
mjActions[ACTION_EA_CREATE] = '会计科目增加';

var ACTION_EA_UPDATE = 10052;
mjActions[ACTION_EA_UPDATE] = '会计科目更新';

var ACTION_EA_DELETE = 10053;
mjActions[ACTION_EA_DELETE] = '会计科目删除';

/**
 * 附件
 */
var ACTION_ATTACH_UPLOAD = 10100;
mjActions[ACTION_ATTACH_UPLOAD] = '附件上传';

var ACTION_ATTACH_DELETE = 10101;
mjActions[ACTION_ATTACH_DELETE] = '附件删除';

/**
 * 工作流
 */
var ACTION_WF_MAP = 10500;
mjActions[ACTION_WF_MAP] = '工作流映射';

var ACTION_WF_DEPLOY = 10501;
mjActions[ACTION_WF_DEPLOY] = '工作流更新';

var ACTION_WF_DEPLOY_CREATE = 10502;
mjActions[ACTION_WF_DEPLOY_CREATE] = '工作流增加';

var ACTION_WF_DEPLOY_XML = 10503;
mjActions[ACTION_WF_DEPLOY_XML] = '工作流配置文件更新';

var ACTION_WF_DEPLOY_XML_CREATE = 10504;
mjActions[ACTION_WF_DEPLOY_XML_CREATE] = '工作流配置文件增加';

/**
 * 部门
 */
var ACTION_DEPT_ACCOUNT_CHANGE = 11000;
mjActions[ACTION_DEPT_ACCOUNT_CHANGE] = '部门账套变更';

var ACTION_DEPARTMENT_CASH_INITIAL_IMP = 11001;
mjActions[ACTION_DEPARTMENT_CASH_INITIAL_IMP] = '导入部门收支差期初余额';

var ACTION_DEPARTMENT_CASH_INITIAL_UPDATE = 11002;
mjActions[ACTION_DEPARTMENT_CASH_INITIAL_UPDATE] = '部门收支差期初余额更新';

var ACTION_DEPARTMENT_CREATE = 11003;
mjActions[ACTION_DEPARTMENT_CREATE] = '部门增加';

var ACTION_DEPARTMENT_UPDATE = 11004;
mjActions[ACTION_DEPARTMENT_UPDATE] = '部门更新';

var ACTION_DEPARTMENT_DELETE = 11005;
mjActions[ACTION_DEPARTMENT_DELETE] = '部门删除';

var ACTION_DEPARTMENT_EA_MAPPING = 11006;
mjActions[ACTION_DEPARTMENT_EA_MAPPING] = '部门会计科目分配';

/**
 * 员工
 */
var ACTION_USER_RESET_PWD = 11200;
mjActions[ACTION_USER_RESET_PWD] = '员工重置密码';

var ACTION_USER_CREATE = 11201;
mjActions[ACTION_USER_CREATE] = '员工增加';

var ACTION_USER_UPDATE = 11202;
mjActions[ACTION_USER_UPDATE] = '员工更新';

var ACTION_USER_DELETE = 11203;
mjActions[ACTION_USER_DELETE] = '员工删除';

var ACTION_USER_FROZEN = 11204;
mjActions[ACTION_USER_FROZEN] = '员工禁止登录';

var ACTION_USER_DISABLE = 11205;
mjActions[ACTION_USER_DISABLE] = '员工禁用';

var ACTION_USER_ENABLE = 11206;
mjActions[ACTION_USER_ENABLE] = '员工启用';

var ACTION_USER_LOGIN = 11207;
mjActions[ACTION_USER_LOGIN] = '员工网页登录';

var ACTION_USER_LOGOUT = 11208;
mjActions[ACTION_USER_LOGOUT] = '员工网页登出';

var ACTION_USER_M_LOGIN = 11209;
mjActions[ACTION_USER_M_LOGIN] = '员工手机登录';

var ACTION_USER_M_LOGOUT = 11210;
mjActions[ACTION_USER_M_LOGOUT] = '员工手机登出';;

var ACTION_USER_S_LOGIN = 11211;
mjActions[ACTION_USER_S_LOGIN] = '员工扫码登录';

var ACTION_USER_BANKACCOUNT_CREATE = 11212;
mjActions[ACTION_USER_BANKACCOUNT_CREATE] = '员工银行账号增加';

var ACTION_USER_BANKACCOUNT_UPDATE = 11213;
mjActions[ACTION_USER_BANKACCOUNT_UPDATE] = '员工银行账号更新';

var ACTION_USER_BANKACCOUNT_DELETE = 11214;
mjActions[ACTION_USER_BANKACCOUNT_DELETE] = '员工银行账号删除';

var ACTION_USER_CHANGE_PWD = 11215;
mjActions[ACTION_USER_CHANGE_PWD] = '员工修改密码';
/**
 * 项目
 */
var ACTION_PROJECT_APPROVE = 11400;
mjActions[ACTION_PROJECT_APPROVE] = '项目审核通过';

var ACTION_PROJECT_REJECT = 11401;
mjActions[ACTION_PROJECT_REJECT] = '项目审核拒绝';

var ACTION_PROJECT_ADD_USER = 11402;
mjActions[ACTION_PROJECT_ADD_USER] = '项目成员添加';

var ACTION_PROJECT_REMOVE_USER = 11403;
mjActions[ACTION_PROJECT_REMOVE_USER] = '项目成员删除';

var ACTION_PROJECT_UPLOAD_AND_APPROVE = 11404;
mjActions[ACTION_PROJECT_UPLOAD_AND_APPROVE] = '项目上报并通过';

var ACTION_PROJECT_COMPLETE = 11405;
mjActions[ACTION_PROJECT_COMPLETE] = '项目完成';

var ACTION_PROJECT_ENABLE = 11406;
mjActions[ACTION_PROJECT_ENABLE] = '项目重新启用';

var ACTION_PROJECT_UPLOAD = 11407;
mjActions[ACTION_PROJECT_UPLOAD] = '项目上报';

var ACTION_PROJECT_INITIAL_IMP = 11408;
mjActions[ACTION_PROJECT_INITIAL_IMP] = '导入项目应收账款期初余额';

var ACTION_PROJECT_INITIAL_UPDATE = 11409;
mjActions[ACTION_PROJECT_INITIAL_UPDATE] = '项目期初应收余额更新';

var ACTION_PROJECT_CASH_INITIAL_IMP = 11410;
mjActions[ACTION_PROJECT_CASH_INITIAL_IMP] = '导入项目收支差期初余额';

var ACTION_PROJECT_CASH_INITIAL_UPDATE = 11411;
mjActions[ACTION_PROJECT_CASH_INITIAL_UPDATE] = '项目收支差期初余额更新';

var ACTION_PROJECT_ADD_ROLE = 11412;
mjActions[ACTION_PROJECT_ADD_ROLE] = '项目角色添加';

var ACTION_PROJECT_REMOVE_ROLE = 11413;
mjActions[ACTION_PROJECT_REMOVE_ROLE] = '项目角色删除';

var ACTION_PROJECT_CREATE = 11414;
mjActions[ACTION_PROJECT_CREATE] = '项目增加';

var ACTION_PROJECT_UPDATE = 11415;
mjActions[ACTION_PROJECT_UPDATE] = '项目更新';

var ACTION_PROJECT_DELETE = 11416;
mjActions[ACTION_PROJECT_DELETE] = '项目删除';

var ACTION_PROJECT_EA_MAPPING = 11417;
mjActions[ACTION_PROJECT_EA_MAPPING] = '项目会计科目分配';

var ACTION_OUT_PROJECT_EA_TMPL = 11418;
mjActions[ACTION_OUT_PROJECT_EA_TMPL] = '外部项目会计科目模板';

var ACTION_IN_PROJECT_EA_TMPL = 11419;
mjActions[ACTION_IN_PROJECT_EA_TMPL] = '内部项目会计科目模板';

/**
 * 客户
 */
var ACTION_CM_APPROVE = 12000;
mjActions[ACTION_CM_APPROVE] = '客户审核通过';

var ACTION_CM_REJECT = 12001;
mjActions[ACTION_CM_REJECT] = '客户审核拒绝';

var ACTION_CM_ADD_CONTACT = 12002;
mjActions[ACTION_CM_ADD_CONTACT] = '客户联系人增加';

var ACTION_CM_UPDATE_CONTACT = 12003;
mjActions[ACTION_CM_UPDATE_CONTACT] = '客户联系人更新';

var ACTION_CM_REMOVE_CONTACT = 12004;
mjActions[ACTION_CM_REMOVE_CONTACT] = '客户联系人删除';

var ACTION_CM_UPLOAD = 12005;
mjActions[ACTION_CM_UPLOAD] = '客户上报';

var ACTION_CM_UPLOAD_AND_APPROVE = 12006;
mjActions[ACTION_CM_UPLOAD_AND_APPROVE] = '客户上报并通过';

var ACTION_CM_UPDATE = 12007;
mjActions[ACTION_CM_UPDATE] = '客户更新';

var ACTION_CM_UPDATE_NAME = 12008;
mjActions[ACTION_CM_UPDATE_NAME] = '客户名称更新';

var ACTION_CM_UPDATE_OWNER = 12009;
mjActions[ACTION_CM_UPDATE_OWNER] = '客户负责人更新';

var ACTION_CM_INITIAL_IMP = 12010;
mjActions[ACTION_CM_INITIAL_IMP] = '客户期初应收余额导入';

var ACTION_CM_INITIAL_UPDATE = 12011;
mjActions[ACTION_CM_INITIAL_UPDATE] = '客户期初应收余额更新';

var ACTION_CM_ENABLE = 12012;
mjActions[ACTION_CM_ENABLE] = '客户启用';

var ACTION_CM_DISABLE = 12013;
mjActions[ACTION_CM_DISABLE] = '客户禁用';

var ACTION_CM_BANKACCOUNT_CREATE = 12014;
mjActions[ACTION_CM_BANKACCOUNT_CREATE] = '客户银行账号增加';

var ACTION_CM_BANKACCOUNT_UPDATE = 12015;
mjActions[ACTION_CM_BANKACCOUNT_UPDATE] = '客户银行账号更新';

var ACTION_CM_BANKACCOUNT_DELETE = 12016;
mjActions[ACTION_CM_BANKACCOUNT_DELETE] = '客户银行账号删除';
var ACTION_CM_CREATE = 12017;
mjActions[ACTION_CM_CREATE] = '客户增加';

var ACTION_CM_DELETE = 12018;
mjActions[ACTION_CM_DELETE] = '客户删除';

var ACTION_CM_PARAMETER_MAPPING = 12019;
mjActions[ACTION_CM_PARAMETER_MAPPING] = '客户字段映射';

/**
 * 账套
 */
var ACTION_ACCOUNT_UPDATE = 13000;
mjActions[ACTION_ACCOUNT_UPDATE] = '账套更新';

var ACTION_ACCOUNT_CREATE = 13001;
mjActions[ACTION_ACCOUNT_CREATE] = '账套增加';

var ACTION_ACCOUNT_EA_MAPPING = 13002;
mjActions[ACTION_ACCOUNT_EA_MAPPING] = '账套会计科目分配';

var ACTION_ACCOUNT_RECV_USER_ADD = 13003;
mjActions[ACTION_ACCOUNT_RECV_USER_ADD] = '账套应收可查看员工增加';

var ACTION_ACCOUNT_RECV_USER_DELETE = 13004;
mjActions[ACTION_ACCOUNT_RECV_USER_DELETE] = '账套应收可查看员工删除';

var ACTION_ACCOUNT_SETTLE_USER_ADD = 13005;
mjActions[ACTION_ACCOUNT_SETTLE_USER_ADD] = '账套结账管理员工增加';

var ACTION_ACCOUNT_SETTLE_USER_DELETE = 13006;
mjActions[ACTION_ACCOUNT_SETTLE_USER_DELETE] = '账套结账管理员工删除';

/**
 * 任务计划
 */
var ACTION_TASK_CREATE = 20100;
mjActions[ACTION_TASK_CREATE] = '任务计划增加';

var ACTION_TASK_UPLOAD = 20101;
mjActions[ACTION_TASK_UPLOAD] = '任务计划上报';

var ACTION_TASK_CREATE_UPLOAD = 20102;
mjActions[ACTION_TASK_CREATE_UPLOAD] = '任务计划新建并上报';

var ACTION_TASK_UPDATE = 20103;
mjActions[ACTION_TASK_UPDATE] = '任务计划更新';

var ACTION_TASK_ASSIGN = 20104;
mjActions[ACTION_TASK_ASSIGN] = '任务下达';

var ACTION_TASK_PROGRESS = 20105;
mjActions[ACTION_TASK_PROGRESS] = '任务完成';

var ACTION_TASK_TERMINATE = 20106;
mjActions[ACTION_TASK_TERMINATE] = '任务强制终止';

var ACTION_TASK_SCORE = 20107;
mjActions[ACTION_TASK_SCORE] = '任务打分';

var ACTION_TASK_APPROVE = 20108;
mjActions[ACTION_TASK_APPROVE] = '任务计划审核通过';

var ACTION_TASK_REJECT = 20109;
mjActions[ACTION_TASK_REJECT] = '任务计划审核拒绝';

var ACTION_TASK_UPLOAD_AND_APPROVE = 20112;
mjActions[ACTION_TASK_UPLOAD_AND_APPROVE] = '计划上报并通过';

var ACTION_TASK_TAG_APPROVE = 20113;
mjActions[ACTION_TASK_TAG_APPROVE] = '任务计划审阅通过';

var ACTION_TASK_TAG_REJECT = 20114;
mjActions[ACTION_TASK_TAG_REJECT] = '任务计划审阅拒绝';

/**
 * 单据
 */
var ACTION_BILL_CREATE = 20200;
mjActions[ACTION_BILL_CREATE] = '单据保存';

var ACTION_BILL_UPLOAD = 20201;
mjActions[ACTION_BILL_UPLOAD] = '单据上报';

var ACTION_BILL_CREATE_UPLOAD = 20202;
mjActions[ACTION_BILL_CREATE_UPLOAD] = '单据保存并上报';

var ACTION_BILL_UPDATE = 20203;
mjActions[ACTION_BILL_UPDATE] = '单据更新';

var ACTION_BILL_APPROVE = 20204;
mjActions[ACTION_BILL_APPROVE] = '单据审核通过';

var ACTION_BILL_REJECT = 20205;
mjActions[ACTION_BILL_REJECT] = '单据审核拒绝';

var ACTION_BILL_PAY = 20208;
mjActions[ACTION_BILL_PAY] = '单据付款';

var ACTION_BILL_MEND = 20209;
mjActions[ACTION_BILL_MEND] = '前期业务补单';

var ACTION_BILL_TAKE_INVOICE = 20210;
mjActions[ACTION_BILL_TAKE_INVOICE] = '单据收到发票';

var ACTION_BILL_COLLECT = 20211;
mjActions[ACTION_BILL_COLLECT] = '单据收款';

var ACTION_BILL_ACCRUED_OFF = 20212;
mjActions[ACTION_BILL_ACCRUED_OFF] = '冲预提费用单';

var ACTION_BILL_CREATE_FOR_ACCRUED = 20213;
mjActions[ACTION_BILL_CREATE_FOR_ACCRUED] = '反冲预提费用单的报销单';

var ACTION_BILL_CARRY_OVER = 20214;
mjActions[ACTION_BILL_CARRY_OVER] = '单据结转应付';

var ACTION_BILL_STOP = 20215;
mjActions[ACTION_BILL_STOP] = '强制中止流程';

var ACTION_BILL_UPDATE_UPLOAD = 20216;
mjActions[ACTION_BILL_UPDATE_UPLOAD] = '单据更新并上报';

var ACTION_VOUCHER_TRANSFER = 20217;
mjActions[ACTION_VOUCHER_TRANSFER] = '传递凭证';

var ACTION_VOUCHER_SYNC = 20218;
mjActions[ACTION_VOUCHER_SYNC] = '单据同步凭证';

var ACTION_BILL_RECALL = 20219;
mjActions[ACTION_BILL_RECALL] = '单据撤回';

var ACTION_BILL_DELETE = 20220;
mjActions[ACTION_BILL_DELETE] = '单据删除';

var ACTION_BILL_BATCH_DELETE = 20221;
mjActions[ACTION_BILL_BATCH_DELETE] = '单据批量删除';

var ACTION_BILL_ADJUST = 20222;
mjActions[ACTION_BILL_ADJUST] = '单据调账';

var ACTION_VOUCHER_UPDATE_SN = 20223;
mjActions[ACTION_VOUCHER_UPDATE_SN] = '更新凭证号';

var ACTION_BILL_ABOLISH = 20224;
mjActions[ACTION_BILL_ABOLISH] = '单据作废';

var ACTION_BILL_COLLECT_TIME = 20225;
mjActions[ACTION_BILL_COLLECT_TIME] = '单据收款时间修改';

var ACTION_BILL_PRINT = 20226;
mjActions[ACTION_BILL_PRINT] = '单据打印';

var ACTION_BILL_CASHFLOW = 20227;
mjActions[ACTION_BILL_CASHFLOW] = '单据现金流量项目修改';
var ACTION_BILL_SUB_CASHFLOW = 20228;
mjActions[ACTION_BILL_SUB_CASHFLOW] = '单据明细现金流量项目修改';

var ACTION_BILL_PAY_CASHFLOW = 20229;
mjActions[ACTION_BILL_PAY_CASHFLOW] = '单据收付款现金流量项目修改';

var ACTION_BILL_TO_CURRENCY = 20230;
mjActions[ACTION_BILL_TO_CURRENCY] = '单据冲应收币别修改';

var ACTION_BILL_BUDGET_CASHFLOW = 20231;
mjActions[ACTION_BILL_BUDGET_CASHFLOW] = '修改现金流量项目';

var ACTION_BILL_PAY_BANKACCOUNT = 20232;
mjActions[ACTION_BILL_PAY_BANKACCOUNT] = '单据收付款银行账号修改';

var ACTION_BILL_MERGE_PAY = 20233;
mjActions[ACTION_BILL_MERGE_PAY] = '单据合并付款';

var ACTION_BILL_PARAMETER_MAPPING = 20234;
mjActions[ACTION_BILL_PARAMETER_MAPPING] = '单据扩展字段映射';

var ACTION_BILL_ACCOUNT_SETTLE_CLOSE = 20235;
mjActions[ACTION_BILL_ACCOUNT_SETTLE_CLOSE] = '结账';

var ACTION_BILL_ACCOUNT_SETTLE_OPEN = 20236;
mjActions[ACTION_BILL_ACCOUNT_SETTLE_OPEN] = '反结账';

/**
 * 车辆
 */
var ACTION_CAR_BILL_MONTH_RENT = 20300;
mjActions[ACTION_CAR_BILL_MONTH_RENT] = '提交车辆月度租金';

var ACTION_CAR_BILL_TAKE_CAR = 20301;
mjActions[ACTION_CAR_BILL_TAKE_CAR] = '取车';

var ACTION_CAR_BILL_RETURN_CAR = 20302;
mjActions[ACTION_CAR_BILL_RETURN_CAR] = '还车';

var ACTION_CAR_CREATE = 20303;
mjActions[ACTION_CAR_CREATE] = '车辆增加';

var ACTION_CAR_UPDATE = 20304;
mjActions[ACTION_CAR_UPDATE] = '车辆更新';

var ACTION_CAR_DELETE = 20305;
mjActions[ACTION_CAR_DELETE] = '车辆删除';

/**
 * 预算
 */
var ACTION_BUDGET_SUBTRACT = 20400;
mjActions[ACTION_BUDGET_SUBTRACT] = '使用预算';

var ACTION_BUDGET_ADD = 20401;
mjActions[ACTION_BUDGET_ADD] = '归还预算';

var ACTION_BUDGET_SUBTRACT_OBJ = 20402;
mjActions[ACTION_BUDGET_SUBTRACT_OBJ] = '使用预算';

var ACTION_BUDGET_ADD_OBJ = 20403;
mjActions[ACTION_BUDGET_ADD_OBJ] = '归还预算';

var ACTION_BUDGET_PLAN_CREATE = 20404;
mjActions[ACTION_BUDGET_PLAN_CREATE] = '预算编制';
var ACTION_BUDGET_PLAN_CREATE_UPLOAD = 20405;
mjActions[ACTION_BUDGET_PLAN_CREATE_UPLOAD] = '预算编制并上报';

var ACTION_BUDGET_PLAN_UPDATE = 20406;
mjActions[ACTION_BUDGET_PLAN_UPDATE] = '预算调整';

var ACTION_BUDGET_PLAN_UPDATE_UPLOAD = 20407;
mjActions[ACTION_BUDGET_PLAN_UPDATE_UPLOAD] = '预算调整并上报';

var ACTION_BUDGET_PLAN_UPLOAD = 20408;
mjActions[ACTION_BUDGET_PLAN_UPLOAD] = '预算方案上报';

var ACTION_BUDGET_PLAN_APPROVE = 20409;
mjActions[ACTION_BUDGET_PLAN_APPROVE] = '预算方案审核通过';

var ACTION_BUDGET_PLAN_REJECT = 20410;
mjActions[ACTION_BUDGET_PLAN_REJECT] = '预算方案审核拒绝';

var ACTION_BUDGET_PLAN_DELETE = 20411;
mjActions[ACTION_BUDGET_PLAN_DELETE] = '预算删除';

/**
 * 同步
 */
var ACTION_SYNC_TASK_CREATE = 20500;
mjActions[ACTION_SYNC_TASK_CREATE] = '同步任务创建';

var ACTION_SYNC_TASK_COMPLETE = 20501;
mjActions[ACTION_SYNC_TASK_COMPLETE] = '同步任务完成';

var ACTION_SYNC_BILL_FAILED = 20510;
mjActions[ACTION_SYNC_BILL_FAILED] = '同步单据生成失败';

var ACTION_SYNC_BILL_SUCCEED = 20511;
mjActions[ACTION_SYNC_BILL_SUCCEED] = '同步单据生成成功';

/**
 * 发票
 */
var ACTION_INVOICE_LINK_BILL = 20600;
mjActions[ACTION_INVOICE_LINK_BILL] = '单据发票关联';

var ACTION_INVOICE_REMOVE_LINK_BILL = 20601;
mjActions[ACTION_INVOICE_REMOVE_LINK_BILL] = '单据发票取消关联';

var ACTION_INVOICE_CREATE = 20602;
mjActions[ACTION_INVOICE_CREATE] = '发票新建';

var ACTION_INVOICE_DELETE = 20603;
mjActions[ACTION_INVOICE_DELETE] = '发票删除';

/**
 * 供应商
 */
var ACTION_SUPPLIER_UPDATE = 20700;
mjActions[ACTION_SUPPLIER_UPDATE] = '供应商更新';

var ACTION_SUPPLIER_ENABLE = 20701;
mjActions[ACTION_SUPPLIER_ENABLE] = '供应商启用';

var ACTION_SUPPLIER_DISABLE = 20702;
mjActions[ACTION_SUPPLIER_DISABLE] = '供应商禁用';

var ACTION_SUPPLIER_BANKACCOUNT_CREATE = 20703;
mjActions[ACTION_SUPPLIER_BANKACCOUNT_CREATE] = '供应商银行账号增加';

var ACTION_SUPPLIER_BANKACCOUNT_UPDATE = 20704;
mjActions[ACTION_SUPPLIER_BANKACCOUNT_UPDATE] = '供应商银行账号更新';

var ACTION_SUPPLIER_BANKACCOUNT_DELETE = 20705;
mjActions[ACTION_SUPPLIER_BANKACCOUNT_DELETE] = '供应商银行账号删除';

var ACTION_SUPPLIER_CREATE = 20706;
mjActions[ACTION_SUPPLIER_CREATE] = '供应商增加';

var ACTION_SUPPLIER_DELETE = 20707;
mjActions[ACTION_SUPPLIER_DELETE] = '供应商删除';

/**
 * 资金账号
 */
var ACTION_BANKACCOUNT_CREATE = 20800;
mjActions[ACTION_BANKACCOUNT_CREATE] = '资金账号增加';

var ACTION_BANKACCOUNT_UPDATE = 20801;
mjActions[ACTION_BANKACCOUNT_UPDATE] = '资金账号更新';

var ACTION_BANKACCOUNT_DELETE = 20802;
mjActions[ACTION_BANKACCOUNT_DELETE] = '资金账号删除';

var ACTION_BANKACCOUNT_ENABLE = 20803;
mjActions[ACTION_BANKACCOUNT_ENABLE] = '资金账号启用';

var ACTION_BANKACCOUNT_DISABLE = 20804;
mjActions[ACTION_BANKACCOUNT_DISABLE] = '资金账号禁用';

/**
 * 职位
 */
var ACTION_POSITION_CREATE = 20900;
mjActions[ACTION_POSITION_CREATE] = '职位增加';

var ACTION_POSITION_UPDATE = 20901;
mjActions[ACTION_POSITION_UPDATE] = '职位更新';

var ACTION_POSITION_DELETE = 20902;
mjActions[ACTION_POSITION_DELETE] = '职位删除';

/**
 * 角色
 */
var ACTION_ROLE_CREATE = 21000;
mjActions[ACTION_ROLE_CREATE] = '角色增加';

var ACTION_ROLE_UPDATE = 21001;
mjActions[ACTION_ROLE_UPDATE] = '角色更新';

var ACTION_ROLE_DELETE = 21002;
mjActions[ACTION_ROLE_DELETE] = '角色删除';

/**
 * 员工属性
 */
var ACTION_USER_TYPE_CREATE = 21100;
mjActions[ACTION_USER_TYPE_CREATE] = '员工属性增加';

var ACTION_USER_TYPE_UPDATE = 21101;
mjActions[ACTION_USER_TYPE_UPDATE] = '员工属性更新';

var ACTION_USER_TYPE_DELETE = 21102;
mjActions[ACTION_USER_TYPE_DELETE] = '员工属性删除';

/**
 * 业务活动
 */
var ACTION_BUSINESS_CREATE = 21200;
mjActions[ACTION_BUSINESS_CREATE] = '业务活动增加';

var ACTION_BUSINESS_UPDATE = 21201;
mjActions[ACTION_BUSINESS_UPDATE] = '业务活动更新';

var ACTION_BUSINESS_DELETE = 21202;
mjActions[ACTION_BUSINESS_DELETE] = '业务活动删除';

var ACTION_BUSINESS_MAPPING = 21203;
mjActions[ACTION_BUSINESS_MAPPING] = '业务活动分配';

/**
 * 项目业务类型
 */
var ACTION_PROJECT_CATEGORY_CREATE = 21300;
mjActions[ACTION_PROJECT_CATEGORY_CREATE] = '项目业务类型增加';

var ACTION_PROJECT_CATEGORY_UPDATE = 21301;
mjActions[ACTION_PROJECT_CATEGORY_UPDATE] = '项目业务类型更新';

var ACTION_PROJECT_CATEGORY_DELETE = 21302;
mjActions[ACTION_PROJECT_CATEGORY_DELETE] = '项目业务类型删除';

/**
 * 国家
 */
var ACTION_CITY_CREATE = 21400;
mjActions[ACTION_CITY_CREATE] = '国家增加';

var ACTION_CITY_UPDATE = 21401;
mjActions[ACTION_CITY_UPDATE] = '国家更新';

var ACTION_CITY_DELETE = 21402;
mjActions[ACTION_CITY_DELETE] = '国家删除';

/**
 * 工作内容
 */
var ACTION_WORK_CONTENT_CREATE = 21500;
mjActions[ACTION_WORK_CONTENT_CREATE] = '工作内容增加';

var ACTION_WORK_CONTENT_UPDATE = 21501;
mjActions[ACTION_WORK_CONTENT_UPDATE] = '工作内容更新';

var ACTION_WORK_CONTENT_DELETE = 21502;
mjActions[ACTION_WORK_CONTENT_DELETE] = '工作内容删除';

var ACTION_WORK_CONTENT_MAPPING = 21503;
mjActions[ACTION_WORK_CONTENT_MAPPING] = '工作内容分配';

/**
 * 绩效指标
 */
var ACTION_KPI_CREATE = 21600;
mjActions[ACTION_KPI_CREATE] = '绩效指标增加';

var ACTION_KPI_UPDATE = 21601;
mjActions[ACTION_KPI_UPDATE] = '绩效指标更新';

var ACTION_KPI_DELETE = 21602;
mjActions[ACTION_KPI_DELETE] = '绩效指标删除';

/**
 * 日报
 */
var ACTION_DAILYLOG_CREATE = 21700;
mjActions[ACTION_DAILYLOG_CREATE] = '日报填写';

var ACTION_DAILYLOG_UPDATE = 21701;
mjActions[ACTION_DAILYLOG_UPDATE] = '日报更新';

var ACTION_DAILYLOG_DELETE = 21702;
mjActions[ACTION_DAILYLOG_DELETE] = '日报删除';

var ACTION_DAILYLOG_PARAMETER_MAPPING = 21703;
mjActions[ACTION_DAILYLOG_PARAMETER_MAPPING] = '日报字段映射';

/**
 * 绩效评分
 */
var ACTION_PERF_SCORE_CREATE = 21800;
mjActions[ACTION_PERF_SCORE_CREATE] = '绩效打分';

var ACTION_PERF_SCORE_UPDATE = 21801;
mjActions[ACTION_PERF_SCORE_UPDATE] = '评分更新';

var ACTION_KPI_SCORE_CREATE = 21802;
mjActions[ACTION_KPI_SCORE_CREATE] = 'KPI评分';

/**
 * 考勤
 */
var ACTION_ATTENDANCE_CREATE = 21900;
mjActions[ACTION_ATTENDANCE_CREATE] = '考勤签到';

var ACTION_ATTENDANCE_UPDATE = 21901;
mjActions[ACTION_ATTENDANCE_UPDATE] = '考勤更新';

var ACTION_ATTENDANCE_DELETE = 21902;
mjActions[ACTION_ATTENDANCE_DELETE] = '考勤删除';

/**
 * 预算类别
 */
var ACTION_BUDGET_CATEGORY_CREATE = 22000;
mjActions[ACTION_BUDGET_CATEGORY_CREATE] = '预算类别增加';

var ACTION_BUDGET_CATEGORY_UPDATE = 22001;
mjActions[ACTION_BUDGET_CATEGORY_UPDATE] = '更新预算类别';

var ACTION_BUDGET_CATEGORY_DELETE = 22002;
mjActions[ACTION_BUDGET_CATEGORY_DELETE] = '预算类别删除';

/**
 * 外币
 */
var ACTION_CURRENCY_CREATE = 22100;
mjActions[ACTION_CURRENCY_CREATE] = '外币增加';

var ACTION_CURRENCY_UPDATE = 22101;
mjActions[ACTION_CURRENCY_UPDATE] = '外币更新';

var ACTION_CURRENCY_DELETE = 22102;
mjActions[ACTION_CURRENCY_DELETE] = '外币删除';

var ACTION_CURRENCY_UPDATE_RATE = 22103;
mjActions[ACTION_CURRENCY_UPDATE_RATE] = '外币汇率更新';

/**
 * 预警
 */
var ACTION_WARN_RULE_USABLE = 22200;
mjActions[ACTION_WARN_RULE_USABLE] = '预警启用';

var ACTION_WARN_RULE_DISABLE = 22201;
mjActions[ACTION_WARN_RULE_DISABLE] = '预警禁用';

var ACTION_WARN_RULE_UPDATE = 22202;
mjActions[ACTION_WARN_RULE_UPDATE] = '预警规则更新';

/**
 * 资金成本率
 */
var ACTION_COST_RATE_UPDATE = 22300;
mjActions[ACTION_COST_RATE_UPDATE] = '资金成本率更新';

/**
 * 客户类别
 */
var ACTION_CC_CATE_CREATE = 22400;
mjActions[ACTION_CC_CATE_CREATE] = '客户类别增加';

var ACTION_CC_CATE_UPDATE = 22401;
mjActions[ACTION_CC_CATE_UPDATE] = '客户类别更新';

var ACTION_CC_CATE_DELETE = 22402;
mjActions[ACTION_CC_CATE_DELETE] = '客户类别删除';

/**
 * 客户性质
 */
var ACTION_CC_CHAR_CREATE = 22500;
mjActions[ACTION_CC_CHAR_CREATE] = '客户性质增加';

var ACTION_CC_CHAR_UPDATE = 22501;
mjActions[ACTION_CC_CHAR_UPDATE] = '客户性质更新';

var ACTION_CC_CHAR_DELETE = 22502;
mjActions[ACTION_CC_CHAR_DELETE] = '客户性质删除';

/**
 * 客户类型
 */
var ACTION_CC_TYPE_CREATE = 22600;
mjActions[ACTION_CC_TYPE_CREATE] = '客户类型增加';

var ACTION_CC_TYPE_UPDATE = 22601;
mjActions[ACTION_CC_TYPE_UPDATE] = '客户类型更新';

var ACTION_CC_TYPE_DELETE = 22602;
mjActions[ACTION_CC_TYPE_DELETE] = '客户类型删除';

/**
 * 客户信息来源
 */
var ACTION_CC_INFO_CREATE = 22700;
mjActions[ACTION_CC_INFO_CREATE] = '客户信息来源增加';

var ACTION_CC_INFO_UPDATE = 22701;
mjActions[ACTION_CC_INFO_UPDATE] = '客户信息来源更新';

var ACTION_CC_INFO_DELETE = 22702;
mjActions[ACTION_CC_INFO_DELETE] = '客户信息来源删除';

/**
 * 客户行业
 */
var ACTION_CC_PROF_CREATE = 22800;
mjActions[ACTION_CC_PROF_CREATE] = '客户行业增加';

var ACTION_CC_PROF_UPDATE = 22801;
mjActions[ACTION_CC_PROF_UPDATE] = '客户行业更新';

var ACTION_CC_PROF_DELETE = 22802;
mjActions[ACTION_CC_PROF_DELETE] = '客户行业删除';

/**
 * 客户保护状态
 */
var ACTION_CC_SAFE_CREATE = 22900;
mjActions[ACTION_CC_SAFE_CREATE] = '客户保护状态增加';

var ACTION_CC_SAFE_UPDATE = 22901;
mjActions[ACTION_CC_SAFE_UPDATE] = '客户保护状态更新';

var ACTION_CC_SAFE_DELETE = 22902;
mjActions[ACTION_CC_SAFE_DELETE] = '客户保护状态删除';

/**
 * 客户销售状态
 */
var ACTION_CC_SALE_CREATE = 23000;
mjActions[ACTION_CC_SALE_CREATE] = '客户销售状态增加';

var ACTION_CC_SALE_UPDATE = 23001;
mjActions[ACTION_CC_SALE_UPDATE] = '客户销售状态更新';

var ACTION_CC_SALE_DELETE = 23002;
mjActions[ACTION_CC_SALE_DELETE] = '客户销售状态删除';

/**
 * 客户部门
 */
var ACTION_CC_DEPT_CREATE = 23100;
mjActions[ACTION_CC_DEPT_CREATE] = '创建客户部门';

var ACTION_CC_DEPT_UPDATE = 23101;
mjActions[ACTION_CC_DEPT_UPDATE] = '客户部门更新';

var ACTION_CC_DEPT_DELETE = 23102;
mjActions[ACTION_CC_DEPT_DELETE] = '客户部门删除';

/**
 * 客户联系类型
 */
var ACTION_CC_CTYPE_CREATE = 23200;
mjActions[ACTION_CC_CTYPE_CREATE] = '客户联系类型增加';

var ACTION_CC_CTYPE_UPDATE = 23201;
mjActions[ACTION_CC_CTYPE_UPDATE] = '客户联系类型更新';

var ACTION_CC_CTYPE_DELETE = 23202;
mjActions[ACTION_CC_CTYPE_DELETE] = '客户联系类型删除';

/**
 * 凭证科目分配
 */
var ACTION_VOUCHER_EA_CREATE = 23300;
mjActions[ACTION_VOUCHER_EA_CREATE] = '凭证科目分配';

/**
 * 变量
 */
var ACTION_PARAMETER_CREATE = 23400;
mjActions[ACTION_PARAMETER_CREATE] = '变量增加';

var ACTION_PARAMETER_UPDATE = 23401;
mjActions[ACTION_PARAMETER_UPDATE] = '变量更新';

var ACTION_PARAMETER_DELETE = 23402;
mjActions[ACTION_PARAMETER_DELETE] = '变量删除';

/**
 * 字典
 */
var ACTION_DICT_UPDATE = 23500;
mjActions[ACTION_DICT_UPDATE] = '字典更新';

/**
 * 数据导出
 */
var ACTION_EXPORT = 23600;
mjActions[ACTION_EXPORT] = '数据导出';

/**
 * 单据打印模板
 */
var ACTION_BILL_TEMP_CREATE = 23700;
mjActions[ACTION_BILL_TEMP_CREATE] = '单据打印模板增加';

var ACTION_BILL_TEMP_UPDATE = 23701;
mjActions[ACTION_BILL_TEMP_UPDATE] = '单据打印模板更新';

var ACTION_BILL_TEMP_DELETE = 23702;
mjActions[ACTION_BILL_TEMP_DELETE] = '单据打印模板删除';

function mjShowAction(actionCode) {
  if (actionCode && mjActions.hasOwnProperty(actionCode)) {
    return mjActions[actionCode];
  } else {
    return '未知操作';
  }
}

var MSG_TYPE_SYSTEM = 0;
var MSG_TYPE_APP_FORCE_LOGOUT = 1000;
var MSG_TYPE_TASK_UPLOADED = 10100;
var MSG_TYPE_TASK_ASSIGNED = 10101;
var MSG_TYPE_TASK_APPROVED = 10102;
var MSG_TYPE_TASK_REJECTED = 10103;
var MSG_TYPE_TASK_NOTIFIED = 10104;
var MSG_TYPE_TASK_TERMINATED = 10105;
var MSG_TYPE_TASK_SCORE = 10106;
var MSG_TYPE_BILL_NEED_REVIEW = 10200;
var MSG_TYPE_BILL_REJECTED = 10201;
var MSG_TYPE_BILL_APPROVED = 10202;
var MSG_TYPE_BILL_COMPLETED = 10203;
var MSG_TYPE_CAR_BILL_NEED_REVIEW = 10300;
var MSG_TYPE_CAR_BILL_REJECTED = 10301;
var MSG_TYPE_CAR_BILL_APPROVED = 10302;
var MSG_TYPE_CAR_BILL_COMPLETED = 10303;
var MSG_TYPE_CAR_BILL_MEND = 10304;

//dict
var BILL_DEFAULT_TYPE_SELECT = "bill-show-bill-type-select";
var BILL_VOUCHER_SWITCH = "bill-voucher-switch";
var BILL_BUDGET_VIEW_TYPE = "bill-budget-view-type";
var BILL_STOP_DAY = "bill-stop-day";

var BILL_TAX_EXPENSE_EA = "bill-tax-expense-ea";
var BILL_FACTORY_EXPENSE_EA = "bill-factory-expense-ea";
var BILL_FINANCIAL_EXPENSE_EA = "bill-financial-expense-ea";
var BILL_MANAGEMENT_EXPENSE_EA = "bill-management-expense-ea";
var BILL_SELLING_EXPENSE_EA = "bill-selling-expense-ea";

var CAR_BILL_TEMP_SHARE_DEPARTMENT = "car-bill-temp-share-department";

var BILL_FEE_HEADER_DAILY = "daily-bill-table-header";
var BILL_FEE_HEADER_SUPPLIER_PAY = "supplier-pay-bill-table-header";
var BILL_FEE_HEADER_TRAVEL = "travel-bill-table-header";
var BILL_FEE_HEADER_DEDUCTION = "bank-deduction-bill-table-header";
var BILL_FEE_HEADER_DEPRECIATION = "depreciation-bill-table-header";
var BILL_FEE_HEADER_ACCRUED = "accrued-bill-table-header";
var BILL_FEE_HEADER_ASSET = "asset-bill-table-header";
var BILL_FEE_HEADER_SUPPLIER_ASSET = "supplier-asset-bill-table-header";
var BILL_FEE_HEADER_SUPER = "super-bill-table-header";
var BILL_FEE_HEADER_SALE = "sale-bill-table-header";
var BILL_FEE_HEADER_COLLECTION = "collection-bill-table-header";

var BILL_TEXT_BILL_TITLE_DAILY = "bill-text-bill-title-daily";
var BILL_TEXT_BILL_TITLE_SUPPLIER_PAY = "bill-text-bill-title-supplier-pay";
var BILL_TEXT_BILL_TITLE_SUPPLIER_PREPAY = "bill-text-bill-title-supplier-prepay";
var BILL_TEXT_BILL_TITLE_TRAVEL = "bill-text-bill-title-travel";
var BILL_TEXT_BILL_TITLE_DEDUCTION = "bill-text-bill-title-deduction";
var BILL_TEXT_BILL_TITLE_DEPRECIATION = "bill-text-bill-title-depreciation";
var BILL_TEXT_BILL_TITLE_ACCRUED = "bill-text-bill-title-accrued";
var BILL_TEXT_BILL_TITLE_ASSET = "bill-text-bill-title-asset";
var BILL_TEXT_BILL_TITLE_SUPPLIER_ASSET = "bill-text-bill-title-supplier-asset";
var BILL_TEXT_BILL_TITLE_SUPPLIER_PAY_GOODS = "bill-text-bill-title-supplier-pay-goods";
var BILL_TEXT_BILL_TITLE_MATERIAL_REQ = "bill-text-bill-title-material-req";
var BILL_TEXT_BILL_TITLE_SUPER = "bill-text-bill-title-super";
var BILL_TEXT_BILL_TITLE_SALE = "bill-text-bill-title-sale";
var BILL_TEXT_BILL_TITLE_COLLECTION = "bill-text-bill-title-collection";
var BILL_TEXT_BILL_TITLE_BUDGET_COLLECT = "bill-text-bill-title-budget-collect";
var BILL_TEXT_BILL_TITLE_BUDGET_PAY = "bill-text-bill-title-budget-pay";
var BILL_TEXT_BILL_TITLE_TRANSFER = 'bill-text-bill-title-transfer';

var BILL_TEXT_BILL_V_DAILY = "bill-text-bill-v-daily";
var BILL_TEXT_BILL_V_SUPPLIER_PAY = "bill-text-bill-v-supplier-pay";
var BILL_TEXT_BILL_V_SUPPLIER_PREPAY = "bill-text-bill-v-supplier-prepay";
var BILL_TEXT_BILL_V_TRAVEL = "bill-text-bill-v-travel";
var BILL_TEXT_BILL_V_DEDUCTION = "bill-text-bill-v-deduction";
var BILL_TEXT_BILL_V_DEPRECIATION = "bill-text-bill-v-depreciation";
var BILL_TEXT_BILL_V_ACCRUED = "bill-text-bill-v-accrued";
var BILL_TEXT_BILL_V_ASSET = "bill-text-bill-v-asset";
var BILL_TEXT_BILL_V_SUPPLIER_ASSET = "bill-text-bill-v-supplier-asset";
var BILL_TEXT_BILL_V_SUPPLIER_PAY_GOODS = "bill-text-bill-v-supplier-pay-goods";
var BILL_TEXT_BILL_V_SUPER = "bill-text-bill-v-super";
var BILL_TEXT_BILL_V_MATERIAL_REQ = "bill-text-bill-v-material-req";
var BILL_TEXT_BILL_V_SALE = "bill-text-bill-v-sale";
var BILL_TEXT_BILL_V_COLLECTION = "bill-text-bill-v-collection";
var BILL_TEXT_BILL_V_BUDGET_COLLECT = "bill-text-bill-v-budget-collect";
var BILL_TEXT_BILL_V_BUDGET_PAY = "bill-text-bill-v-budget-pay";
var BILL_TEXT_BILL_V_TRANSFER = 'bill-text-bill-v-transfer';

var BILL_BIZ_TYPE = 'bill-biz-type';

var BILL_FEE_DM1 = "bill-fee-dm1";
var BILL_FEE_DM2 = "bill-fee-dm2";
var BILL_FEE_DM3 = "bill-fee-dm3";
var BILL_FEE_DM4 = "bill-fee-dm4";
var BILL_FEE_DM5 = "bill-fee-dm5";

var DL_DM1 = "dl-dm1";
var DL_DM2 = "dl-dm2";
var DL_DM3 = "dl-dm3";
var DL_DM4 = "dl-dm4";
var DL_DM5 = "dl-dm5";

var CC_DM1 = "cc-dm1";
var CC_DM2 = "cc-dm2";
var CC_DM3 = "cc-dm3";
var CC_DM4 = "cc-dm4";
var CC_DM5 = "cc-dm5";

var KPI_SCORE_SPLIT = "kpi-score-split";
var KPI_SCORE_RANGE = "kpi-score-range";
var FIN_ENABLE_CASH = "fin-enable-cash";
var FIN_ENABLE_RECV = "fin-enable-recv";
var FIN_TO_CURRENCY = "fin-to-currency";
var BILL_BIZ_SUPPLIER_PAY = "bill-biz-supplier-pay";
var BILL_BIZ_DEDUCTION = "bill-biz-bank";
var BILL_BIZ_MATERIAL = "bill-biz-material";
