//客户列表模板
function generateConsumerList(list,isShowOwner){
	var listHtml = '';
	var listItem;
	for(var i=0;i<list.length;i++){
		listItem = list[i];
		listHtml+=
						'<div class="mui-input-row mui-checkbox mui-left mj-list-checkbox">'+
						'	<input name="consumerCheck" type="checkbox" class="consumer-checkbox" cid="'+listItem.id+'" cstatus="'+listItem.statusInt+'" style="display:none;">'+
						'	<div class="hr-list-block hr-list-item consumer-list-item consumer-list-'+listItem.statusInt+'" cid="'+listItem.id+'" cstatus="'+listItem.statusInt+'" cname="'+listItem.name+'">'+
            '		<div class="hr-list-block-info consumer-list-block-info-status">'+
          	'			<div class="hr-list-first-line">'+
        		'				<div class="hr-list-first-left">'+
       			'					<span class="hr-list-name">'+listItem.name+'</span>'	+
       			'				</div>'+
       			'				<span class="hr-list-text-mini-size hr-list-right hr-list-light-color hr-list-bold">'+ConsumerStatusPool[listItem.statusInt]+'</span>'+
          	'			</div>';
  	if(isShowOwner){
  		listHtml+=
  					'			<div class="hr-list-second-line hr-list-light-color">'+
						'				<div class="mui-ellipsis hr-list-text-size">负责人：'+(listItem.ownerName ? listItem.ownerName :'无')+'</div>'+
						'			</div>';
  	}
  	if(listItem.approveTime){
  		listHtml+=
  					'			<div class="hr-list-second-line hr-list-light-color">'+
						'				<div class="mui-ellipsis hr-list-text-size">审核时间：'+(new Date(listItem.approveTime)).format('yyyy-MM-dd')+'</div>'+
						'			</div>';
  	}
    listHtml+=
						'			<div class="hr-list-second-line hr-list-light-color">'+
						'				<div class="mui-ellipsis hr-list-text-size">公司地址：'+(listItem.address ? listItem.address :'无')+'</div>'+
						'			</div>'+	
          	'		</div>'+
          	'	</div>'+
    				'</div>';
		
	}
	return listHtml;
}

function initFilterModalMask(selector) {
	mask = mui.createMask(function(){
		document.getElementById(selector).classList.remove('mui-active')
 	});
}

function showFilterModalMask(selector) {
	mask.show();
	document.getElementById(selector).classList.add('mui-active');
}
  
function hideFilterModalMask(selector) {
	mask.close();
	document.getElementById(selector).classList.remove('mui-active');
}

function queryCcFields(callback){
	mj.get(MJ_URL.DICT_CC_DMS, {}, 
		function(data){
			var dict = data.dict;
			//var dict = data;
			dict = dict.replace('，', ',');
      dict = dict.split(',');
      
      mui.each(dict,function(index,item){
          switch(item){
            case 'dm1':
              showDm1 = true;
              break;
            case 'dm2':
              showDm2 = true;
              break;
            case 'dm3':
              showDm3 = true;
              break;
            case 'dm4':
              showDm4 = true;
              break;
            case 'dm5':
              showDm5 = true;
              break;
            default:
              break;
          }
      });
      
      var dmHtml='';
      var showDm=false;
      var dm1Name = mj.getDict(CC_DM1);
		  var dm2Name = mj.getDict(CC_DM2);
		  var dm3Name = mj.getDict(CC_DM3);
		  var dm4Name = mj.getDict(CC_DM4);
		  var dm5Name = mj.getDict(CC_DM5);
			if(showDm1){
			 	showDm=true;
		    dmHtml += '<li class="mui-table-view-cell">'+
							   	'	<span>' + dm1Name + '</span>'+
							   	'	<span id="ccDm1" class="mui-pull-right"></span>'
							   	'</li>';
			}
			
			if(showDm2){
				showDm=true;
	  		dmHtml += '<li class="mui-table-view-cell">'+
							   	'	<span>' + dm2Name + '</span>'+
							   	'	<span id="ccDm2" class="mui-pull-right"></span>'
							   	'</li>';
			}
			
			if(showDm3){
				showDm=true;
			  dmHtml += '<li class="mui-table-view-cell">'+
			   					'	<span>' + dm3Name + '</span>'+
			   					'	<span id="ccDm3" class="mui-pull-right"></span>'
			   					'</li>';
			}
			
			if(showDm4){
				showDm=true;
			  dmHtml += '<li class="mui-table-view-cell">'+
			   					'	<span>' + dm4Name + '</span>'+
			   					'	<span id="ccDm4" class="mui-pull-right"></span>'
			   					'</li>';
			}
			
			if(showDm5){
				showDm=true;
			  dmHtml += '<li class="mui-table-view-cell">'+
			   					'	<span>' + dm5Name + '</span>'+
			   					'	<span id="ccDm5" class="mui-pull-right"></span>'
			   					'</li>';
			}
			
			if(showDm){
				document.getElementById('dmsWrapper').innerHTML = dmHtml;
			}
			callback && callback(true);
		},
		function(xhr){
			showResult(xhr, LOST_NETWORK_CONNECTION);
			callback && callback(false);
		}
	);
}

function queryConsumerDms(callback){
	mj.get(MJ_URL.DICT_CC_DMS, {},
		function(data){
		var dict = data.dict;
    var dms = data.dms;
    dict = dict.replace('，', ',');
    dict = dict.split(',');
    
    mui.each(dict,function(index,item){
      switch(item){
        case 'dm1':
          showDm1 = true;
          break;
        case 'dm2':
          showDm2 = true;
          break;
        case 'dm3':
          showDm3 = true;
          break;
        case 'dm4':
          showDm4 = true;
          break;
        case 'dm5':
          showDm5 = true;
          break;
        default:
          break;
      }
  });
  
  var dmHtml='';
  var showDm=false;
  var dm1Name = mj.getDict(CC_DM1);
  var dm2Name = mj.getDict(CC_DM2);
  var dm3Name = mj.getDict(CC_DM3);
  var dm4Name = mj.getDict(CC_DM4);
  var dm5Name = mj.getDict(CC_DM5);
  if(showDm1){
   	showDm=true;
    getConfDms('dm1', dms, function(showInput,showSelect,ccDms){
      showDm1Input = showInput;
      showDm1Select = showSelect;
      dm1s = ccDms;
      if(showInput){
    		dmHtml += '<li class="mui-table-view-cell hr-create-input-wrapper no-left-table-view-cell">'+
					   			'	<span>' + dm1Name + '</span>'+
					   			'	<input id="ccDm1" type="text" class="mui-pull-right" placeholder="" value="" >'+
					   			'</li>';
      }
      if(showSelect){
    		dmHtml += '<li id="ccDm1Cell" class="mui-table-view-cell no-left-table-view-cell">'+
    		   				'	<a href="javascript:void(0)" class="mui-navigate-right">'+
         					'		<span>' + dm1Name + '</span>'+
         					'		<span id="ccSelectedDm1" class="mui-pull-right has-link"></span>'+
         					'	</a>'+
         					'</li>';
      }
    });
  }

  if(showDm2){
		showDm=true;
    getConfDms('dm2', dms, function(showInput,showSelect,ccDms){
      showDm2Input = showInput;
      showDm2Select = showSelect;
      dm2s = ccDms;
      if(showInput){
      	dmHtml += '<li class="mui-table-view-cell hr-create-input-wrapper no-left-table-view-cell">'+
						   		'	<span>' + dm2Name + '</span>'+
						   		'	<input id="ccDm2" type="text" class="mui-pull-right" placeholder="" value="" >'+
						   		'</li>';
      }
      if(showSelect){
    		dmHtml += '<li id="ccDm2Cell" class="mui-table-view-cell no-left-table-view-cell">'+
    		   				'	<a href="javascript:void(0)" class="mui-navigate-right">'+
               		'		<span>' + dm2Name + '</span>'+
               		'		<span id="ccSelectedDm2" class="mui-pull-right has-link"></span>'+
               		'	</a>'+
               		'</li>';
      }
    });
  }

  if(showDm3){
		showDm=true;
    getConfDms('dm3', dms, function(showInput,showSelect,ccDms){
      showDm3Input = showInput;
      showDm3Select = showSelect;
      dm3s = ccDms;
      if(showInput){
      	dmHtml += '<li class="mui-table-view-cell hr-create-input-wrapper no-left-table-view-cell">'+
						   		'	<span>' + dm3Name + '</span>'+
						   		'	<input id="ccDm3" type="text" class="mui-pull-right" placeholder="" value="" >'+
						   		'</li>';
      }
      if(showSelect){
    		dmHtml += '<li id="ccDm3Cell" class="mui-table-view-cell no-left-table-view-cell">'+
  		   					'	<a href="javascript:void(0)" class="mui-navigate-right">'+
               		'		<span>' + dm3Name + '</span>'+
               		'		<span id="ccSelectedDm3" class="mui-pull-right has-link"></span>'+
               		'	</a>'+
               		'</li>';
      }
    });
  }

  if(showDm4){
		showDm=true;
    getConfDms('dm4', dms, function(showInput,showSelect,ccDms){
      showDm4Input = showInput;
      showDm4Select = showSelect;
      dm4s = ccDms;
      if(showInput){
      	dmHtml += '<li class="mui-table-view-cell hr-create-input-wrapper no-left-table-view-cell">'+
						   		'	<span>' + dm4Name + '</span>'+
						   		'	<input id="ccDm4" type="text" class="mui-pull-right" placeholder="" value="" >'+
						   		'</li>';
      }
      if(showSelect){
    		dmHtml += '<li id="ccDm4Cell" class="mui-table-view-cell no-left-table-view-cell">'+
		   						'	<a href="javascript:void(0)" class="mui-navigate-right">'+
               		'		<span>' + dm4Name + '</span>'+
               		'		<span id="ccSelectedDm4" class="mui-pull-right has-link"></span>'+
               		'	</a>'+
               		'</li>';
      }
    });
  }

  if(showDm5){
  		showDm=true;
    getConfDms('dm5', dms, function(showInput,showSelect,ccDms){
      showDm5Input = showInput;
      showDm5Select = showSelect;
      dm5s = ccDms;
      if(showInput){
      	dmHtml += '<li class="mui-table-view-cell hr-create-input-wrapper no-left-table-view-cell">'+
							   	'	<span>' + dm5Name + '</span>'+
							   	'	<input id="ccDm5" type="text" class="mui-pull-right" placeholder="" value="" >'+
							   	'</li>';
      }
      if(showSelect){
    		dmHtml += '<li id="ccDm5Cell" class="mui-table-view-cell no-left-table-view-cell">'+
    		   				'	<a href="javascript:void(0)" class="mui-navigate-right">'+
               		'		<span>' + dm5Name + '</span>'+
               		'		<span id="ccSelectedDm5" class="mui-pull-right has-link"></span>'+
               		'	</a>'+
               		'</li>';
      }
    });
  }
    
  if(showDm){
		document.getElementById('dmsWrapper').innerHTML = dmHtml;
  }
    
  if(showDm1Select){
		initDmBookForConsumer({
			dmTapId:'ccDm1Cell',
			dmShowId:'ccSelectedDm1',
			dmTitle:dm1Name,
			dms:dm1s
		},function(seledted){
			dm1Id = seledted.id;
		});
  }
  if(showDm2Select){
		initDmBookForConsumer({
			dmTapId:'ccDm2Cell',
			dmShowId:'ccSelectedDm2',
			dmTitle:dm2Name,
			dms:dm2s
		},function(seledted){
			dm2Id = seledted.id;
		});
  }
  if(showDm3Select){
  	initDmBookForConsumer({
			dmTapId:'ccDm3Cell',
			dmShowId:'ccSelectedDm3',
			dmTitle:dm3Name,
			dms:dm3s
		},function(seledted){
			dm3Id = seledted.id;
		});
  }
  if(showDm4Select){
  	initDmBookForConsumer({
			dmTapId:'ccDm4Cell',
			dmShowId:'ccSelectedDm4',
			dmTitle:dm4Name,
			dms:dm4s
		},function(seledted){
			dm4Id = seledted.id;
		});
  }
  if(showDm5Select){
  	initDmBookForConsumer({
			dmTapId:'ccDm5Cell',
			dmShowId:'ccSelectedDm5',
			dmTitle:dm5Name,
			dms:dm5s
		},function(seledted){
			dm5Id = seledted.id;
		});
  }

		callback && callback(true);
	},
	function(xhr){
		showResult(xhr, LOST_NETWORK_CONNECTION);
		callback && callback(false);
	});
}

function getConfDms(dm, data, callback){
  var showInput = false;
  var showSelect = false;
  var dms = [];
  if(data.hasOwnProperty(dm) && data[dm].hasOwnProperty('t')){
    switch(data[dm]['t']){
      case 'input':
        showInput = true;
        showSelect = false;
        break;
      case 'select':
        dms = data[dm]['data'];
        showInput = false;
        showSelect = true;
        break;
      default:
        break;
    }
  }
  callback && callback(showInput,showSelect,dms);
}

function initDmBookForConsumer(options,callback){
	options = options || {};
	var dmTapId = options.dmTapId;
	var dmShowId = options.dmShowId;
	var dmTitle = options.dmTitle || '请选择扩展字段';
	var ccDms = options.dms || [];
	document.getElementById(dmTapId).addEventListener('tap',function(){
		pushUserSelectWebView({
	  	source:'CC_DM',
	  	title:dmTitle,
	    param:{},
	    hasSpecial:true,
	    showCcDms:ccDms,
	    callback: function(selected){
	    	if(dmShowId) document.getElementById(dmShowId).innerText = selected.name;
	      callback && callback(selected);
	    }
	  });
  });
}

//是否显示更多字段
function triggerShowModeFields(){
	var objShowMoreFieldsWrapper = document.getElementById('moreFieldsWrapper');
	var objFieldDes = document.getElementById('fieldDes');
	document.getElementById('tapShowMoreFields').addEventListener('tap',function(){
		if(objShowMoreFieldsWrapper.classList.contains('mui-block')){
			objShowMoreFieldsWrapper.classList.remove('mui-block');
			objShowMoreFieldsWrapper.classList.add('mui-hidden');
			objFieldDes.innerText='展开';
		}else{
			objShowMoreFieldsWrapper.classList.remove('mui-hidden');
			objShowMoreFieldsWrapper.classList.add('mui-block');
			objFieldDes.innerText='收缩';
		}
	});
}

//关联帐套
function initAccountBookForConsumer(isEdit,callback){
	document.getElementById('accountCell').style.display = 'block';
	var prepareData = false;
	var showAccounts = [];
	if(isEdit){
		prepareData = true;
	}
	initAccountBook({
		accountTapId: 'accountCell',
		accountShowId: 'selectedAccountName',
		title: '请选择帐套',
		showAll: false,
		prepareData:prepareData,
		showAccounts:showAccounts,
		isShare:true
	}, function(selected) {
		accountId = selected.id;
		accountName = selected.name;
		callback && callback(selected);
	});
}

//客户类别
function initCategoryBookForConsumer(){
	document.getElementById('categoryCell').addEventListener('tap',function(){
		pushUserSelectWebView({
	  	source:'CONSUMER',
	  	title:'请选择客户类别',
	    param:{
	    	url:MJ_URL.CC_CATEGORY_API
	    },
	    hasSpecial:true,
	    callback: function(selected){
	    	categoryId = selected.id;
	    	category = selected.name;
	    	document.getElementById('selectedCategory').innerText = selected.name;
	    }
	  });
	});
}

//客户性质
function initCharacterBookForConsumer(){
	document.getElementById('characterCell').addEventListener('tap',function(){
		pushUserSelectWebView({
	  	source:'CONSUMER',
	  	title:'请选择客户性质',
	    param:{
	    	url:MJ_URL.CC_CHARACTER_API
	    },
	    hasSpecial:true,
	    callback: function(selected){
	    	characterId = selected.id;
	    	character = selected.name;
	    	document.getElementById('selectedCharacter').innerText = selected.name;
	    }
	  });
	});
}

//客户类型
function initTypeBookForConsumer(){
	document.getElementById('typeCell').addEventListener('tap',function(){
		pushUserSelectWebView({
	  	source:'CONSUMER',
	  	title:'请选择客户类型',
	    param:{
	    	url:MJ_URL.CC_TYPE_API
	    },
	    hasSpecial:true,
	    callback: function(selected){
	    	typeId = selected.id;
	    	typeName = selected.name;
	    	document.getElementById('selectedTypeName').innerText = selected.name;
	    }
	  });
	});
}

//信息来源
function initInfoSourceBookForConsumer(){
	document.getElementById('infoSourceCell').addEventListener('tap',function(){
		pushUserSelectWebView({
	  	source:'CONSUMER',
	  	title:'请选择信息来源',
	    param:{
	    	url:MJ_URL.CC_INFO_API
	    },
	    hasSpecial:true,
	    callback: function(selected){
	    	infoSourceId = selected.id;
	    	infoSource = selected.name;
	    	document.getElementById('selectedInfoSource').innerText = selected.name;
	    }
	  });
	});
}

//行业
function initProfessionBookForConsumer(){
	document.getElementById('professionCell').addEventListener('tap',function(){
		pushUserSelectWebView({
	  	source:'CONSUMER',
	  	title:'请选择行业',
	    param:{
	    	url:MJ_URL.CC_PROFESSION_API
	    },
	    hasSpecial:true,
	    callback: function(selected){
	    	professionId = selected.id;
	    	professionName = selected.name;
	    	document.getElementById('selectedProfession').innerText = selected.name;
	    }
	  });
	});
}

//国家
function initCountryBookForConsumer(){
	document.getElementById('countryCell').addEventListener('tap',function(){
		pushUserSelectWebView({
	  	source:'CITY',
	  	title:'请选择国家',
	    param:{
	    	url:MJ_URL.CITY_API,
	    	parentId:0
	    },
	    hasSpecial:true,
	    callback: function(selected){
	    	countryId = selected.id;
	    	country = selected.name;
	    	document.getElementById('selectedCountry').innerText = selected.name;
	    	
	    	//置空省市区
	    	provinceId=-1;
				cityId=-1;
				districtId=-1;
	    	document.getElementById('selectedProvince').innerText = '';
	    	document.getElementById('selectedCity').innerText = '';
	    	document.getElementById('selectedDistrict').innerText = '';
	    }
	  });
	});
}

//省
function initProvinceBookForConsumer(){
	document.getElementById('provinceCell').addEventListener('tap',function(){
		if(!countryId || countryId==-1){
			mui.toast('请选择国家');
			return false;
		}
		
		pushUserSelectWebView({
	  	source:'CITY',
	  	title:'请选择省',
	    param:{
	    	url:MJ_URL.CITY_API,
	    	parentId:countryId
	    },
	    hasSpecial:true,
	    callback: function(selected){
	    	provinceId = selected.id;
	    	province = selected.name;
	    	document.getElementById('selectedProvince').innerText = selected.name;
	    	
	    	//置空市区
				cityId=-1;
				districtId=-1;
	    	document.getElementById('selectedCity').innerText = '';
	    	document.getElementById('selectedDistrict').innerText = '';
	    }
	  });
	});
}

//市
function initCityBookForConsumer(){
	document.getElementById('cityCell').addEventListener('tap',function(){
		if(!provinceId || provinceId==-1){
			mui.toast('请选择省');
			return false;
		}
		
		pushUserSelectWebView({
	  	source:'CITY',
	  	title:'请选择市',
	    param:{
	    	url:MJ_URL.CITY_API,
	    	parentId:provinceId
	    },
	    hasSpecial:true,
	    callback: function(selected){
	    	cityId = selected.id;
	    	city = selected.name;
	    	document.getElementById('selectedCity').innerText = selected.name;
	    	
	    	//置空市区
				districtId=-1;
	    	document.getElementById('selectedDistrict').innerText = '';
	    }
	  });
	});
}

//区
function initDistrictBookForConsumer(){
	document.getElementById('districtCell').addEventListener('tap',function(){
		if(!cityId || cityId==-1){
			mui.toast('请选择市');
			return false;
		}
		
		pushUserSelectWebView({
	  	source:'CITY',
	  	title:'请选择区',
	    param:{
	    	url:MJ_URL.CITY_API,
	    	parentId:cityId
	    },
	    hasSpecial:true,
	    callback: function(selected){
	    	districtId = selected.id;
	    	district = selected.name;
	    	document.getElementById('selectedDistrict').innerText = selected.name;
	    }
	  });
	});
}

//保护状态
function initProtectionStatusBookForConsumer(){
	document.getElementById('protectionStatusCell').addEventListener('tap',function(){
		pushUserSelectWebView({
	  	source:'CONSUMER',
	  	title:'请选择保护状态',
	    param:{
	    	url:MJ_URL.CC_PROTECT_API
	    },
	    hasSpecial:true,
	    callback: function(selected){
	    	protectionStatusId = selected.id;
	    	protectionStatus = selected.name;
	    	document.getElementById('selectedProtectionStatus').innerText = selected.name;
	    }
	  });
	});
}

//销售状态
function initSaleStatusBookForConsumer(){
	document.getElementById('saleStatusCell').addEventListener('tap',function(){
		pushUserSelectWebView({
	  	source:'CONSUMER',
	  	title:'请选择销售状态',
	    param:{
	    	url:MJ_URL.CC_SS_API
	    },
	    hasSpecial:true,
	    callback: function(selected){
	    	saleStatusId = selected.id;
	    	saleStatus = selected.name;
	    	document.getElementById('selectedSaleStatus').innerText = selected.name;
	    }
	  });
	});
}

//大客户
function initConsumerBig(){
	document.getElementById("consumerBigSwitch").addEventListener('toggle', function(event) {
		if(event.detail.isActive){
			cbig = 1;
		}else{
			cbig=0;
		}
	});
}

function checkConsumerModal(postData,postItem){
	var valid = true;
	var validMsg='';
	mui.each(postItem,function(index,item){
		switch(item){
			case 'name':
		    if (postData[item]=='') {
          valid = false;
          validMsg = '请填写客户名称';
          return false;
        }
		    break;
			case 'contactTel':
		    if (postData[item]=='') {
          valid = false;
          validMsg = '请填写公司电话';
          return false;
        }
		    break;
	    case 'address':
        if (postData[item]=='') {
          valid = false;
          validMsg = '请填写公司地址';
          return false;
        }
        break;
      case 'email':
        if (postData[item]=='') {
          valid = false;
          validMsg = '请填写公司Email';
          return false;
        }
    		break;
    	case 'accountId':
				if (postData[item]==-1) {
					valid = false;
					validMsg = '请选择关联帐套';
					return false;
				}
    		break;
			default:
    		break;
    }
	});
	if(!valid) {
    mui.toast(validMsg);
  }
	return valid;
}

function checkConsumerContactUserModal(postData,postItem){
	var valid = true;
	var validMsg='';
	mui.each(postItem,function(index,item){
		switch(item){
			case 'name':
		    if (postData[item]=='') {
          valid = false;
          validMsg = '请填写联系人名称';
          return false;
        }
		    break;
			case 'sex':
		    if (postData[item]==-1) {
          valid = false;
          validMsg = '请选择性别';
          return false;
        }
		    break;
			case 'job':
		    if (postData[item]=='') {
          valid = false;
          validMsg = '请填写职务';
          return false;
        }
		    break;
	    case 'tel':
        if (postData[item]=='') {
          valid = false;
          validMsg = '请填写办公电话';
          return false;
        }
        break;
      case 'mobile':
        if (postData[item]=='') {
          valid = false;
          validMsg = '请填写移动电话';
          return false;
        }
    		break;
    	case 'email':
        if (postData[item]=='') {
          valid = false;
          validMsg = '请填写邮箱';
          return false;
        }
    		break;
    	case 'departmentId':
        if (postData[item]==-1) {
          valid = false;
          validMsg = '请选择部门';
          return false;
        }
    		break;
    	case 'contactTypeId':
        if (postData[item]==-1) {
          valid = false;
          validMsg = '请选择联系类型';
          return false;
        }
    		break;
			default:
    		break;
    }
	});
	if(!valid) {
    mui.toast(validMsg);
  }
	return valid;
}

function checkConsumerBankModal(postData,postItem){
	var valid = true;
	var validMsg='';
	mui.each(postItem,function(index,item){
		switch(item){
			case 'bankName':
		    if (postData[item]=='') {
          valid = false;
          validMsg = '请填写开户行';
          return false;
        }
		    break;
			case 'bankNum':
		    if (postData[item]=='') {
          valid = false;
          validMsg = '请填写银行账号';
          return false;
        }
		    break;
			default:
    		break;
    }
	});
	if(!valid) {
    mui.toast(validMsg);
  }
	return valid;
}

//跳转详情页
function showDetailView(objItem){
	var consumerId = objItem.getAttribute('cid');
	var consumerStatus = Number(objItem.getAttribute('cstatus'));
	var consumerName = objItem.getAttribute('cname');
	
	var isBars = false;
	var barsIcon = '';
	
	pushWebView({
		webType: 'newWebview_Second',
		id: 'consumer_detail_temp.html',
		href: 'views/consumer/consumer_detail_temp.html' ,
		aniShow: 'slide-in-right',
		title: consumerName,
		isBars: isBars,
		barsIcon: barsIcon,
		extendOptions: {
			consumerId: consumerId,
			noCache: true
		}
	})
}

//客户管理列表的修改权限（基础角色的客户修改权限）
function mjQueryConsumerUpdatePermission(callback){
	mj.get(MJ_URL.CC_A_CHECK_UPDATE_PERM, {}, function(d){
		mj.hideLoading();
		callback && callback(d);
	}, function(xhr){
		mj.hideLoading();
		showResult(xhr,LOST_NETWORK_CONNECTION);
	});
}

//审核权限
function mjQueryConsumerReviewPer(callback){
	mj.get(MJ_URL.CC_A_CHECK_REVIEW, {}, function(d){
		mj.hideLoading();
		callback && callback(d);
	}, function(xhr){
		mj.hideLoading();
		showResult(xhr,LOST_NETWORK_CONNECTION);
	});
}

//获取客户详情
function mjQueryConsumerDetail(consumerId,callback){
	mj.get(MJ_URL.CC_API.mjFormat(consumerId), {}, function(d){
		mj.hideLoading();
		callback && callback(d);
	}, function(xhr){
		mj.hideLoading();
		showResult(xhr,LOST_NETWORK_CONNECTION);
	});
}
		
		
//获取联系人详情
function mjQueryConsumerContactUser(consumerId,callback){
	mj.get(MJ_URL.CC_CONTACT_API.mjFormat(consumerId), {}, function(d){
		mj.hideLoading();
		callback && callback(d);
	}, function(xhr){
		mj.hideLoading();
		showResult(xhr,LOST_NETWORK_CONNECTION);
	});
}

//获取银行账号详情
function mjQueryConsumerMgrBank(consumerId,callback){
	mj.get(MJ_URL.BA_MGR_BY_CONSUMER.mjFormat(consumerId), {}, function(d) {
		callback && callback(d);
	}, function(xhr) {
		showResult(xhr, LOST_NETWORK_CONNECTION);
	});
}

//更换客户负责人
function initUpdateOwnerForConsumer(consumerMsg,callback){
	var selectedUpdateOwner = -1;
	initAllUserBook({
		  userTapId:'consumerOwnerCell',
		  userShowId:'selectedConsumerOwner',
		  hasSpecial:false
	}, function(selected){
		  selectedUpdateOwner = selected.id;
	});
	
	document.getElementById('btnConfirmUpdateOwner').addEventListener('tap',function(){
		if(selectedUpdateOwner==-1){
			mui.toast('请选择负责人');
			return false;
		}
	
		mj.confirm({ msg: consumerMsg }, function() {
				callback && callback(selectedUpdateOwner);
		})
	});
	
	document.getElementById('btnCancelUpdateOwner').addEventListener('tap',function(){
		mui('#consumerOwnerSelectPopover').popover('hide');
	});
}

function doActionUpdateConsumerOwner(consumerId,selectedUpdateOwner,callback){
	mj.showLoading();
	var postData={
		owner:selectedUpdateOwner,
		ids:consumerId
	}
	mj.post(MJ_URL.CC_A_BATCH_UPDATE_OWNER, postData, function(){
		mui.toast('更换客户负责人成功');
		mj.hideLoading();
		callback && callback();
	}, function(xhr) {
		showResult(xhr, LOST_NETWORK_CONNECTION);
		mj.hideLoading();
	});
}

function renderConsumerAccount(opt){
	opt = opt || '';
	var showId = opt.showId || '';
	var showNameId = opt.showNameId || '';
	var tapId = opt.tapId || '';
	var tapNameId = opt.tapNameId || '';
	var isEdit = opt.isEdit || false;
	var accountId = opt.accountId || 0;
	var accountName = opt.accountName || '公共';
	
	var objTapAccount,objTapAccountName,objShowAccount,objShowAccountName;
	if(accountId ==0) accountName='公共';
	if(tapId !='')  objTapAccount = document.getElementById(tapId);
	if(tapNameId !='') objTapAccountName = document.getElementById(tapNameId);
	
	if(showId !='') objShowAccount = document.getElementById(showId);
	if(showNameId !='') objShowAccountName = document.getElementById(showNameId);
	
	//编辑状态时可以从指定帐套转换为公共帐套
	if(isEdit){
		if(accountId>0){
			initAccountBookForConsumer(true);
			objTapAccount.style.display = 'block';
			objShowAccount.style.display = 'none';
			objTapAccountName.innerText = accountName;
		}else{
			objTapAccount.style.display = 'none';
			objShowAccount.style.display = 'block';
			objShowAccountName.innerText = accountName;
		}
	}else{
		objShowAccount.style.display = 'block';
		objShowAccountName.innerText = accountName;
	}
}
